/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2019-07-30 14:58:34Z
 *****************************************************************************/

#ifndef __RSSGT_ATTRIBUTES_HEADER
#define __RSSGT_ATTRIBUTES_HEADER

#include "rssgt_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rssgt_ReadOpcTimeout_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_ReadFrequencyOffset_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_ReadPhaseOffset_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_PathBool_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_PathDbl_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_PathReadOnlyCollection_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_PathInt32_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_PathString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_binPattern_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_ReadArbNextSegment_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_PathDoubleQuotedString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_ReadModState_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_ReadIqWidebandState_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_ReadRfState_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_ReadFrequency_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_ReadLevel_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_ReadDigitalAttenuation_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_doubleQuotedString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rssgt_ReadOnlyCollection_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rssgt_WriteOpcTimeout_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_WriteFrequencyOffset_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_WritePhaseOffset_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_PathBool_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_PathEvent_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_PathDbl_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_PathString_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_PathInt32_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_WriteArbTriggerExecute_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_binPattern_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_WriteArbNextSegment_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_WriteArbNextSegmentExecute_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_PathDoubleQuotedString_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_WriteModState_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_WriteIqWidebandState_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_WriteRfState_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_WriteFrequency_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_WriteLevel_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssgt_WriteDigitalAttenuation_Callback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rssgt_rngPulseModulationPolarity;
extern RsRangeTable rssgt_rngExternalTriggerSlope;
extern RsRangeTable rssgt_rngReferenceOscillatorSource;
extern RsRangeTable rssgt_rngReferenceOscillatorExternalFrequency;
extern RsRangeTable rssgt_rngClockSynchronisationMode;
extern RsRangeTable rssgt_rngTrgTriggerMode;
extern RsRangeTable rssgt_rngClockMode;
extern RsRangeTable rssgt_rngARBExtendedTriggerMode;
extern RsRangeTable rssgt_rngARBSignalDurationUnit;
extern RsRangeTable rssgt_rngARBMarkerMode;
extern RsRangeTable rssgt_rngARBMultisegmentLevelMode;
extern RsRangeTable rssgt_rngARBSequenceRestart;
extern RsRangeTable rssgt_rngARBMultisegmentClockMode;
extern RsRangeTable rssgt_rngARBMultiCarrierMode;
extern RsRangeTable rssgt_rngARBMultiCarrierCrestFactorMode;
extern RsRangeTable rssgt_rngARBSignalPeriodMode;
extern RsRangeTable rssgt_rngBBINMode;
extern RsRangeTable rssgt_rngImpedance;
extern RsRangeTable rssgt_rngSlope;
extern RsRangeTable rssgt_rngGlobalClockMode;
extern RsRangeTable rssgt_rngIMPOptimizationMode;
extern RsRangeTable rssgt_rngAWGNMode;
extern RsRangeTable rssgt_rngAWGNNoiseMode;
extern RsRangeTable rssgt_rngUnitAngle;
extern RsRangeTable rssgt_rngUnitPower;
extern RsRangeTable rssgt_rngSystemIPAddressMode;
extern RsRangeTable rssgt_rngROSCSynchronizationBandwidth;
extern RsRangeTable rssgt_rngRFAttenuatorMode;
extern RsRangeTable rssgt_rngPowerOnState;
extern RsRangeTable rssgt_rngALCEnabled;
extern RsRangeTable rssgt_rngPULMPolarity;
extern RsRangeTable rssgt_rngPULMSource;
extern RsRangeTable rssgt_rngPULMExternalInputImpedance;
extern RsRangeTable rssgt_rngPULMTriggerMode;
extern RsRangeTable rssgt_rngIQOutputPowerOnState;
extern RsRangeTable rssgt_rngTriggerSour;
extern RsRangeTable rssgt_rngClockSource;
extern RsRangeTable rssgt_rngPULMMode;
extern RsRangeTable rssgt_rngALCDetectorSensitivity;
extern RsRangeTable rssgt_rngRFAttRFOFFMode;
extern RsRangeTable rssgt_rngRFLevelMode;
extern RsRangeTable rssgt_rngIQSMWAnalogWidebandGain;
extern RsRangeTable rssgt_rngROSCOutputFrequency;
extern RsRangeTable rssgt_rngRFLevSettCharacteristic;
extern RsRangeTable rssgt_rngOperationMode;
extern RsRangeTable rssgt_rngAWGNDisplayMode;
extern RsRangeTable rssgt_rngAWGNPowerRefMode;
extern RsRangeTable rssgt_rngARBMCarPowerRef;
extern RsRangeTable rssgt_rngARBTriggerDelayUnit;
extern RsRangeTable rssgt_rngARBMultisegmentMarkerMode;
extern RsRangeTable rssgt_rngBBINSRateSource;
extern RsRangeTable rssgt_rngIQOutputDigitalStepMode;
extern RsRangeTable rssgt_rngIQOutputDigitalSRateSource;
extern RsRangeTable rssgt_rngConnectorOutput;
extern RsRangeTable rssgt_rngSystemEmode;
extern RsRangeTable rssgt_rngFormatSequenceOfBytes;
extern RsRangeTable rssgt_rngFormatStatusRegister;
extern RsRangeTable rssgt_rngFormatData;
extern RsRangeTable rssgt_rngSystemSerialBaud;
extern RsRangeTable rssgt_rngSystemSerialParity;
extern RsRangeTable rssgt_rngSystemSerialStopBits;
extern RsRangeTable rssgt_rngIQOutputLevelEntry;
extern RsRangeTable rssgt_rngTestExternalIQDevices;
extern RsRangeTable rssgt_rngConnectorOperationMode;
extern RsRangeTable rssgt_rngInput;
extern RsRangeTable rssgt_rngNextSegment;
extern RsRangeTable rssgt_rngIQSource;
extern RsRangeTable rssgt_rngUserCorrectionImportExportExtension;
extern RsRangeTable rssgt_rngUserCorrectionImportExportColumnSeparator;
extern RsRangeTable rssgt_rngUserCorrectionImportExportDecimalSeparator;
extern RsRangeTable rssgt_rngUserCorrectionImportExportMode;
extern RsRangeTable rssgt_rngConnectorImpedance;
extern RsRangeTable rssgt_rngDigitalPredistortionLevelReference;
extern RsRangeTable rssgt_rngDigitalPredistortionShaping;
extern RsRangeTable rssgt_rngDigitalPredistortionInterpolation;
extern RsRangeTable rssgt_rngIQOutputAnalogType;
extern RsRangeTable rssgt_rngEnvelopeTrackingVoltageAdaptation;
extern RsRangeTable rssgt_rngEnvelopeTrackingeTrackInterfaceType;
extern RsRangeTable rssgt_rngEnvelopeTrackingVoltageReference;
extern RsRangeTable rssgt_rngEnvelopeTrackingTermination;
extern RsRangeTable rssgt_rngEnvelopeTrackingShaping;
extern RsRangeTable rssgt_rngEnvelopeTrackingDetroughingFunction;
extern RsRangeTable rssgt_rngEnvelopeTrackingShapingInterpolation;
extern RsRangeTable rssgt_rngEvenlopeTrackingShapingScale;
extern RsRangeTable rssgt_rngTriggerNextSour;
extern RsRangeTable rssgt_rngSystemGPIBLineTerminator;
extern RsRangeTable rssgt_rngARBMultisegmentLevel;
extern RsRangeTable rssgt_rngIQOutputAnalogDisplayPowerVia;
extern RsRangeTable rssgt_rngBBSystemConfiguration;
extern RsRangeTable rssgt_rngBBPath;
extern RsRangeTable rssgt_rngPowerUnit;
extern RsRangeTable rssgt_rngPowerSource;
extern RsRangeTable rssgt_rngPowerDisplayPermanent;
extern RsRangeTable rssgt_rngPowerSPCSensorSelect;
extern RsRangeTable rssgt_rngPowerFilterMode;
extern RsRangeTable rssgt_rngPowerBasebandSource;
extern RsRangeTable rssgt_rngPowerBasebandAcquisition;
extern RsRangeTable rssgt_rngPowerBasebandGateSource;
extern RsRangeTable rssgt_rngPowerBasebandOutput;
extern RsRangeTable rssgt_rngPowerBasebandRunMode;
extern RsRangeTable rssgt_rngIQOutputImpairmentsPhaseOffset;
extern RsRangeTable rssgt_rngPowerServoingTargetLevel;
extern RsRangeTable rssgt_rngPowerServoingLevelTolerance;
extern RsRangeTable rssgt_rngPowerServoingSensorSelect;
extern RsRangeTable rssgt_rngPowerServoingAperture;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSSGT_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSSGT_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSSGT_RS_ATTR_CACHE;
extern RsAttrProperties g_RSSGT_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSSGT_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSSGT_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSSGT_RS_ATTR_SPY;
extern RsAttrProperties g_RSSGT_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSSGT_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSSGT_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSSGT_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSSGT_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSSGT_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSSGT_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSSGT_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSSGT_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSSGT_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSSGT_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSSGT_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSSGT_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSSGT_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSSGT_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSSGT_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSSGT_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSSGT_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSSGT_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSSGT_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSSGT_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSSGT_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSSGT_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSSGT_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSSGT_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSSGT_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSSGT_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSSGT_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSSGT_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSSGT_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSSGT_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSSGT_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSSGT_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSSGT_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSSGT_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSSGT_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSSGT_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSSGT_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSSGT_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSSGT_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSSGT_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSSGT_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSSGT_ATTR_REFERENCE_OSCILLATOR_SOURCE;
extern RsAttrProperties g_RSSGT_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY;
extern RsAttrProperties g_RSSGT_ATTR_REFERENCE_OSCILLATOR_OUTPUT_FREQUENCY;
extern RsAttrProperties g_RSSGT_ATTR_REFERENCE_OSCILLATOR_SYNCHRONIZATION_BANDWIDTH;
extern RsAttrProperties g_RSSGT_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_ACTIVE;
extern RsAttrProperties g_RSSGT_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_SMALL_SHIFT;
extern RsAttrProperties g_RSSGT_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_CALIBRATION_VALUE;
extern RsAttrProperties g_RSSGT_ATTR_BB_SYSTEM_CONFIGURATION;
extern RsAttrProperties g_RSSGT_ATTR_BB_FREQUENCY_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_BB_PATH_GAIN;
extern RsAttrProperties g_RSSGT_ATTR_BB_PHASE_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_BB_PULSE_SEQUENCER_INFO;
extern RsAttrProperties g_RSSGT_ATTR_PATH;
extern RsAttrProperties g_RSSGT_ATTR_ARB_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_ARB_SET_TO_DEFAULT;
extern RsAttrProperties g_RSSGT_ATTR_ARB_CLOCK_FREQUENCY;
extern RsAttrProperties g_RSSGT_ATTR_ARB_WAVEFORM_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_ARB_WAVEFORM_CATALOG_LENGTH;
extern RsAttrProperties g_RSSGT_ATTR_ARB_WAVEFORM_DELETE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_WAVEFORM_POINTS;
extern RsAttrProperties g_RSSGT_ATTR_ARB_WAVEFORM_SELECT;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TRIGGER_STATUS;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TRIGGER_ARM_EXECUTE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_EXECUTE_TRIGGER;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TRIGGER_DELAY_UNIT;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TRIGGER_MODE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_EXTENDED_TRIGGER_MODE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TRIGGER_SOURCE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TRIGGER_SINGLE_SEQUENCE_LENGTH;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TRIGGER_SINGLE_SIGNAL_DURATION_UNIT;
extern RsAttrProperties g_RSSGT_ATTR_ARB_EXTERNAL_SYNCHRONIZE_OUTPUT;
extern RsAttrProperties g_RSSGT_ATTR_ARB_EXTERNAL_TRIGGER_DELAY;
extern RsAttrProperties g_RSSGT_ATTR_ARB_EXTERNAL_TRIGGER_INHIBIT;
extern RsAttrProperties g_RSSGT_ATTR_ARB_EXTERNAL_TRIGGER_TIME_DELAY;
extern RsAttrProperties g_RSSGT_ATTR_ARB_EXTERNAL_TRIGGER_TIME_EVENT_DELAY;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MARKER_MODE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MARKER_PULSE_DIVIDER;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MARKER_PULSE_FREQUENCY;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MARKER_PATTERN;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MARKER_ON_TIME;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MARKER_OFF_TIME;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MARKER_DELAY;
extern RsAttrProperties g_RSSGT_ATTR_ARB_FIXED_MARKER_DELAY_MAXIMUM;
extern RsAttrProperties g_RSSGT_ATTR_ARB_FIXED_MARKER_DELAY_MINIMUM;
extern RsAttrProperties g_RSSGT_ATTR_ARB_CLOCK_SOURCE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_CLOCK_MODE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_CHIP_CLOCK_MULTIPLIER;
extern RsAttrProperties g_RSSGT_ATTR_ARB_CLOCK_SYNCHRONISATION_MODE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_SINE_NAME;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_SINE_CREATE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_SINE_FREQUENCY;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_SINE_PHASE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_SINE_SAMPLES;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_RECTANGLE_NAME;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_RECTANGLE_CREATE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_RECTANGLE_FREQUENCY;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_RECTANGLE_AMPLITUDE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_RECTANGLE_OFFSET_DC;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_RECTANGLE_SAMPLES;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_CIQ_NAME;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_CIQ_CREATE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_CIQ_I;
extern RsAttrProperties g_RSSGT_ATTR_ARB_TSIGNAL_CIQ_Q;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_STREAMING_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_FREE_DISK_SPACE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_FILLING_LEVEL_STREAMING_BUFFER;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_OUTPUT_SEGMENT;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_CURRENT_OUTPUT_SEGMENT;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_LEVEL_MODE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_MARKER_MODE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_SEQUENCE_RESTART;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_SEGMENT_RESTART;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_SAVE_FILE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_APPEND_FILE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_NAME;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_LEVEL;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_EXECUTE_NEXT_SEGMENT;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_NEXT_SEGMENT_SOURCE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_SEQUENCING_LIST;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_CONFIGURATION_FILE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_CREATE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_LOAD_FROM_CONFIGURATION_FILE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_SEGMENT_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_DELETE_CONFIGURATION_FILE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_COMMENT;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_CLOCK;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTISEGMENT_CLOCK_MODE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_CREATE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_CLOCK;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_RESET;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_MODE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_CREST_FACTOR_MODE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_OUTPUT_FILE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_SAVE_FILE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_SAMPLES;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD_MODE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_POWER_REFERENCE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_COUNT;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_SPACING;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_FREQUENCY;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_DELAY;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_DATA_FILE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_PHASE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_POWER;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_CONFLICT;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_EXECUTE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY_STEP;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_INPUT_IQ_FILE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE_STEP;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_POWER;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_POWER_STEP;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_START;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_STOP;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_FILE_STORE_FAST;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_FILE_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_FILE_LOAD;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_FILE_STORE;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_CLIPPING_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_CLIPPING_TARGET_CREST_FACTOR;
extern RsAttrProperties g_RSSGT_ATTR_ARB_MULTI_CARRIER_CLIPPING_FILTER_CUT_OFF_FREQUENCY;
extern RsAttrProperties g_RSSGT_ATTR_PROGRESS_MULTI_CODER;
extern RsAttrProperties g_RSSGT_ATTR_PROGRESS_MULTI_CARRIER;
extern RsAttrProperties g_RSSGT_ATTR_PROGRESS_MULTI_SEGMENT;
extern RsAttrProperties g_RSSGT_ATTR_IQ_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_IQ_WIDEBAND_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_IQ_ANALOG_WIDEBAND_CREST_FACTOR;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_LEVEL_ENTRY;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_DIGITAL_OVERFLOW_RESET;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_ANALOG_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_ANALOG_SET_TO_DEFAULT;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_ANALOG_TYPE;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_ANALOG_LOAD_SETTINGS;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_ANALOG_STORE_SETTINGS;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_ANALOG_DELETE_SETTINGS;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_ANALOG_SETTINGS_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_ANALOG_I_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_ANALOG_Q_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_ANALOG_DISPLAY_POWER_VIA;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_RF_ENVELOPE;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_VOLTAGE_ADAPTATION;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_ETRACK_INTERFACE_TYPE;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_VOLTAGE_REFERENCE;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_VOUT_MAX;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_VOUT_MIN;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_BIAS;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_VPP_MAX;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_EMF_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_RIN;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_TERMINATION;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_BIPOLAR_INPUT_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_GAIN;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_VCC_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_VCC_MAX;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_VCC_MIN;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_PEP_IN_MAX;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_PEP_IN_MIN;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_POWER_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_DELAY;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_CALCULATE_ENVELOPE_FROM_PREDISTORTED_SIGNAL;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_DETROUGHING_FUNCTION;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_COUPLE_DETROUGHING_FACTOR_WITH_VCC;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_DETROUGHING_FACTOR;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_DETROUGHING_EXPONENT;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_PRE_GAIN;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_POST_GAIN;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_INTERPOLATION;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_SCALE;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_CLIPPING_FROM;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_CLIPPING_TO;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_FILE_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_SELECT_FILE;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_PV_FILE_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_PV_SELECT_FILE;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_POLYNOMIAL_FILE_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_POLYNOMIAL_LOAD_FILE;
extern RsAttrProperties g_RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_POLYNOMIAL_SAVE_FILE;
extern RsAttrProperties g_RSSGT_ATTR_IQ_MODULATION_IMPAIRMENTS_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_IQ_I_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_IQ_Q_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_IQ_GAIN_IMBALANCE;
extern RsAttrProperties g_RSSGT_ATTR_IQ_QUADRATURE_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_IQ_SOURCE;
extern RsAttrProperties g_RSSGT_ATTR_IQ_IMPAIRMENTS_SWAP;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_SET_TO_DEFAULT;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_LOAD_SETTINGS;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_STORE_SETTINGS;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_DELETE_SETTINGS;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_SETTINGS_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_AM_AM_FIRST;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_LEVEL_REFERENCE;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_MAXIMUM_OUTPUT_LEVEL_ERROR;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_MAXIMUM_NUMBER_OF_ITERACTIONS;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_INTERACTIONS_STATUS;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_ACHIEVED_OUTPUT_LEVEL_ERROR;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_INPUT_PEP;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_INPUT_LEVEL;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_INPUT_CREST_FACTOR;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_OUTPUT_PEP;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_OUTPUT_LEVEL;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_OUTPUT_CREST_FACTOR;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_AM_AM_STATE;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_AM_PM_STATE;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_INTERPOLATION;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_INVERT_CORRECTION_VALUES;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_MAXIMUM_PEP_INPUT_POWER;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_MINIMUM_PEP_INPUT_POWER;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_PRE_GAIN;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_TABLE_AM_AM_FILE_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_TABLE_AM_AM_SELECT_FILE;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_TABLE_AM_PM_FILE_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_TABLE_AM_PM_SELECT_FILE;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_POLYNOMIAL_FILE_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_POLYNOMIAL_LOAD_FILE;
extern RsAttrProperties g_RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_POLYNOMIAL_SAVE_FILE;
extern RsAttrProperties g_RSSGT_ATTR_IQ_IMPAIRMENTS_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_IQ_IMPAIRMENTS_DELAY;
extern RsAttrProperties g_RSSGT_ATTR_IQ_IMPAIRMENTS_RATIO;
extern RsAttrProperties g_RSSGT_ATTR_IQ_IMPAIRMENTS_LEAKAGE_I;
extern RsAttrProperties g_RSSGT_ATTR_IQ_IMPAIRMENTS_LEAKAGE_Q;
extern RsAttrProperties g_RSSGT_ATTR_IQ_IMPAIRMENTS_QUADRATURE_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_IQ_IMPAIRMENTS_SKEW;
extern RsAttrProperties g_RSSGT_ATTR_IQ_IMPAIRMENTS_PEAK_LEVEL;
extern RsAttrProperties g_RSSGT_ATTR_IQ_IMPAIRMENTS_SIGNAL_LEVEL;
extern RsAttrProperties g_RSSGT_ATTR_IQ_IMPAIRMENTS_OPTIMIZATION_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_IQ_IMPAIRMENTS_OPTIMIZATION_MODE;
extern RsAttrProperties g_RSSGT_ATTR_IQ_IMPAIRMENTS_CREST_FACTOR;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_DELAY;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_RATIO;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_LEAKAGE_I;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_LEAKAGE_Q;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_QUADRATURE_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_SKEW;
extern RsAttrProperties g_RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_PHASE_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_MODE;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_BANDWIDTH;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_BANDWIDTH_RATIO;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_BANDWIDTH_NOISE;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_BIT_RATE;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_DISPLAY_MODE;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_DISPLAY_OUTPUT_RESULT;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_TARGET_CW_FREQUENCY_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_RESULTING_CW_FREQUENCY_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_NOISE_LEVEL_VIA;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_CARRIER_TO_NOISE_RATIO;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_EB_TO_N0;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_CARRIER_LEVEL;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_NOISE_LEVEL;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_NOISE_LEVEL_TOTAL;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_CARRIER_AND_NOISE_LEVEL;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_CARRIER_AND_NOISE_PEP;
extern RsAttrProperties g_RSSGT_ATTR_AWGN_POWER_REFERENCE_MODE;
extern RsAttrProperties g_RSSGT_ATTR_OUTPUT_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_BB_OPERATION_MODE;
extern RsAttrProperties g_RSSGT_ATTR_PATH_COUNT;
extern RsAttrProperties g_RSSGT_ATTR_RF_FREQUENCY;
extern RsAttrProperties g_RSSGT_ATTR_RF_FREQUENCY_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_RF_DELTA_PHASE;
extern RsAttrProperties g_RSSGT_ATTR_RESET_RF_DELTA_PHASE_DISPLAY;
extern RsAttrProperties g_RSSGT_ATTR_PULM_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_PULM_POLARITY;
extern RsAttrProperties g_RSSGT_ATTR_PULM_SOURCE;
extern RsAttrProperties g_RSSGT_ATTR_PULM_MODE;
extern RsAttrProperties g_RSSGT_ATTR_PULM_PERIOD;
extern RsAttrProperties g_RSSGT_ATTR_PULM_WIDTH;
extern RsAttrProperties g_RSSGT_ATTR_PULM_DELAY;
extern RsAttrProperties g_RSSGT_ATTR_PULM_DOUBLE_WIDTH;
extern RsAttrProperties g_RSSGT_ATTR_PULM_DOUBLE_DELAY;
extern RsAttrProperties g_RSSGT_ATTR_PULM_TRIGGER_MODE;
extern RsAttrProperties g_RSSGT_ATTR_PULM_TRIGGER_EXTERNAL_INPUT_IMPEDANCE;
extern RsAttrProperties g_RSSGT_ATTR_PULM_TRIGGER_EXTERNAL_INPUT_SLOPE;
extern RsAttrProperties g_RSSGT_ATTR_PULM_TRIGGER_EXTERNAL_INPUT_GATE_POLARITY;
extern RsAttrProperties g_RSSGT_ATTR_ALC_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_ALC_SEARCH_ONCE;
extern RsAttrProperties g_RSSGT_ATTR_ALC_DETECTOR_SENSITIVITY;
extern RsAttrProperties g_RSSGT_ATTR_RF_AMPLITUDE;
extern RsAttrProperties g_RSSGT_ATTR_RF_LEVEL_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_RF_LEVEL;
extern RsAttrProperties g_RSSGT_ATTR_RF_LEVEL_LIMIT;
extern RsAttrProperties g_RSSGT_ATTR_RF_LEVEL_MODE;
extern RsAttrProperties g_RSSGT_ATTR_RF_LEVEL_SETTING_CHARACTERISTIC;
extern RsAttrProperties g_RSSGT_ATTR_RF_LEVEL_RANGE_MINIMUM;
extern RsAttrProperties g_RSSGT_ATTR_RF_LEVEL_RANGE_MAXIMUM;
extern RsAttrProperties g_RSSGT_ATTR_RF_PEP;
extern RsAttrProperties g_RSSGT_ATTR_RF_LEVEL_RANGE_WARNINGS;
extern RsAttrProperties g_RSSGT_ATTR_RF_ATTENUATOR_MODE;
extern RsAttrProperties g_RSSGT_ATTR_RF_ATTENUATOR_LOWER_RANGE;
extern RsAttrProperties g_RSSGT_ATTR_RF_ATTENUATOR_UPPER_RANGE;
extern RsAttrProperties g_RSSGT_ATTR_RF_ATTENUATOR_RF_OFF_MODE;
extern RsAttrProperties g_RSSGT_ATTR_RF_ATTENUATOR_SWITCH_OVER_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_RF_ATTENUATION_DIGITAL;
extern RsAttrProperties g_RSSGT_ATTR_POWER_ON_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_VALUE;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_SELECTED;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_NUMBER_OF_FREQUENCIES;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_NUMBER_OF_POWERS;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_DELETE;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_EXTENSION;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_ASCII_FILE;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_CORRECTION_FILE;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_COLUMN_SEPARATOR;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_DECIMAL_SEPARATOR;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_MODE;
extern RsAttrProperties g_RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_EXECUTE;
extern RsAttrProperties g_RSSGT_ATTR_LOSC_SOURCE;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_MODE;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_IQ_SWAP;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_IQ_SKEW;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_CREST_FACTOR;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_MEASUREMENT_PERIOD;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_AUTO_LEVEL_SET_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_AUTO_LEVEL_SET;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_OVERLOAD_RESET;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_OVERLOAD_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_OVERLOAD_HOLD_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_RMS_POWER;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_CURRENT_SAMPLE_RATE;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_PATH_GAIN;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_FREQUENCY_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_EXTERNALLY_CONNECTED_ID;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_SAMPLE_RATE_SOURCE;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_OUTPUT_DELAY;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_IMPAIRMENTS_GAIN_IMBALANCE;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_IMPAIRMENTS_I_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_BBIN_IMPAIRMENTS_Q_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_POWER_UNIT;
extern RsAttrProperties g_RSSGT_ATTR_POWER_FREQUENCY;
extern RsAttrProperties g_RSSGT_ATTR_POWER_RECORDER_STATE;
extern RsAttrProperties g_RSSGT_ATTR_POWER_OFFSET;
extern RsAttrProperties g_RSSGT_ATTR_POWER_OFFSET_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_POWER_SOURCE;
extern RsAttrProperties g_RSSGT_ATTR_POWER_ZERO;
extern RsAttrProperties g_RSSGT_ATTR_POWER_CONTINUOUS;
extern RsAttrProperties g_RSSGT_ATTR_POWER_USE_SPARAMETERS;
extern RsAttrProperties g_RSSGT_ATTR_POWER_DISPLAY_PERMANENT;
extern RsAttrProperties g_RSSGT_ATTR_POWER_DISPLAY_PERMANENT_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_POWER_FILTER_LENGTH;
extern RsAttrProperties g_RSSGT_ATTR_POWER_FILTER_MODE;
extern RsAttrProperties g_RSSGT_ATTR_POWER_FILTER_NS_RATIO;
extern RsAttrProperties g_RSSGT_ATTR_POWER_FILTER_NS_RATIO_TIMEOUT;
extern RsAttrProperties g_RSSGT_ATTR_POWER_FILTER_LENGTH_AUTO;
extern RsAttrProperties g_RSSGT_ATTR_POWER_FILTER_SEARCH_ONCE;
extern RsAttrProperties g_RSSGT_ATTR_POWER_SENSOR_DEVICE;
extern RsAttrProperties g_RSSGT_ATTR_POWER_SENSOR_TYPE;
extern RsAttrProperties g_RSSGT_ATTR_POWER_READ_POWER;
extern RsAttrProperties g_RSSGT_ATTR_POWER_SENSOR_VERSION;
extern RsAttrProperties g_RSSGT_ATTR_POWER_SENSOR_SERIAL_NUMBER;
extern RsAttrProperties g_RSSGT_ATTR_POWER_DEFAULT_APERTURE_TIME_ENABLED;
extern RsAttrProperties g_RSSGT_ATTR_POWER_APERTURE_TIME;
extern RsAttrProperties g_RSSGT_ATTR_POWER_BASEBAND_ADD_MEASUREMENT;
extern RsAttrProperties g_RSSGT_ATTR_POWER_BASEBAND_CHANGE_MEASUREMENT;
extern RsAttrProperties g_RSSGT_ATTR_POWER_BASEBAND_DELETE_MEASUREMENT;
extern RsAttrProperties g_RSSGT_ATTR_POWER_BASEBAND_EXECUTE_MEASUREMENT;
extern RsAttrProperties g_RSSGT_ATTR_POWER_BASEBAND_ABORT;
extern RsAttrProperties g_RSSGT_ATTR_PSER_STATE;
extern RsAttrProperties g_RSSGT_ATTR_PSER_TARGET;
extern RsAttrProperties g_RSSGT_ATTR_PSER_TOL;
extern RsAttrProperties g_RSSGT_ATTR_PSER_TEST;
extern RsAttrProperties g_RSSGT_ATTR_PSER_TRACK;
extern RsAttrProperties g_RSSGT_ATTR_PSER_SENSOR;
extern RsAttrProperties g_RSSGT_ATTR_PSER_APER;
extern RsAttrProperties g_RSSGT_ATTR_CLOCK_INPUT_SLOPE;
extern RsAttrProperties g_RSSGT_ATTR_CLOCK_MODE;
extern RsAttrProperties g_RSSGT_ATTR_CLOCK_INPUT_FREQUENCY;
extern RsAttrProperties g_RSSGT_ATTR_RESTART;
extern RsAttrProperties g_RSSGT_ATTR_STANDBY;
extern RsAttrProperties g_RSSGT_ATTR_UNLOCK;
extern RsAttrProperties g_RSSGT_ATTR_USER_PATH;
extern RsAttrProperties g_RSSGT_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSSGT_ATTR_CALIBRATION_ALL;
extern RsAttrProperties g_RSSGT_ATTR_CALIBRATION_FREQUENCY;
extern RsAttrProperties g_RSSGT_ATTR_CALIBRATION_FREQUENCY_TEMPERATURE;
extern RsAttrProperties g_RSSGT_ATTR_CALIBRATION_IQ_MODULATOR_FULL;
extern RsAttrProperties g_RSSGT_ATTR_CALIBRATION_IQ_MODULATOR_LOCAL;
extern RsAttrProperties g_RSSGT_ATTR_CALIBRATION_IQ_MODULATOR_TEMPERATURE;
extern RsAttrProperties g_RSSGT_ATTR_CALIBRATION_LEVEL;
extern RsAttrProperties g_RSSGT_ATTR_CALIBRATION_LEVEL_TEMPERATURE;
extern RsAttrProperties g_RSSGT_ATTR_CALIBRATION_IQ_INPUT;
extern RsAttrProperties g_RSSGT_ATTR_TEST_ALL_START;
extern RsAttrProperties g_RSSGT_ATTR_TEST_ALL_RESULT;
extern RsAttrProperties g_RSSGT_ATTR_TEST_KEYBOARD;
extern RsAttrProperties g_RSSGT_ATTR_TEST_EXTERNAL_IQ_DEVICES;
extern RsAttrProperties g_RSSGT_ATTR_TEST_BASEBAND_INPUT;
extern RsAttrProperties g_RSSGT_ATTR_DIAGNOSTIC_TEST_POINTS;
extern RsAttrProperties g_RSSGT_ATTR_MMEMORY_CHANGE_DIRECTORY;
extern RsAttrProperties g_RSSGT_ATTR_MMEMORY_DELETE;
extern RsAttrProperties g_RSSGT_ATTR_MMEMORY_MAKE_DIRECTORY;
extern RsAttrProperties g_RSSGT_ATTR_MMEMORY_REMOVE_DIRECTORY;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_FACTORY_PRESET;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_ERROR_QUEUE_ALL;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_ERROR_QUEUE_CODE_ALL;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_ERROR_QUEUE_CODE_NEXT;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_ERROR_QUEUE_COUNT;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_ERROR_QUEUE_NEXT;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_ERROR_ALL;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_VERSION;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_PRESET;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_STARTUP_COMPLETE;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_USB_RESOURCE;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_GPIB_RESOURCE;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_GPIB_ADDRESS;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_GPIB_LINE_TERMINATOR;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_SERIAL_RESOURCE;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_SERIAL_BAUD;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_SERIAL_PARITY;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_SERIAL_STOP_BITS;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_HISLIP_RESOURCE;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_PCI_EXPRESS_RESOURCE;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_SOCKET_RESOURCE;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_OPERATING_SYSTEM;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_UPTIME;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_NETWORK_RESTART;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_NETWORK_STATUS;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_NETWORK_RESOURCE;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_NETWORK_MAC_ADDRESS;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_NETWORK_HOST_NAME;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_NETWORK_IP_ADDRESS;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE;
extern RsAttrProperties g_RSSGT_ATTR_SYSTEM_NETWORK_IP_ADDRESS_DNS;
extern RsAttrProperties g_RSSGT_ATTR_STATUS_PRESET;
extern RsAttrProperties g_RSSGT_ATTR_UNIT_ANGLE;
extern RsAttrProperties g_RSSGT_ATTR_UNIT_POWER;
extern RsAttrProperties g_RSSGT_ATTR_CONNECTOR_OUTPUT;
extern RsAttrProperties g_RSSGT_ATTR_CONNECTOR_OPERATION_MODE;
extern RsAttrProperties g_RSSGT_ATTR_CONNECTOR_THRESHOLD;
extern RsAttrProperties g_RSSGT_ATTR_CONNECTOR_CLOCK_IMPEDANCE;
extern RsAttrProperties g_RSSGT_ATTR_CONNECTOR_CLOCK_SLOPE;
extern RsAttrProperties g_RSSGT_ATTR_CONNECTOR_TRIGGER_IMPEDANCE;
extern RsAttrProperties g_RSSGT_ATTR_CONNECTOR_TRIGGER_SLOPE;
extern RsAttrProperties g_RSSGT_ATTR_FAST_SPEED_RF_OUTPUT_FREQUENCY;
extern RsAttrProperties g_RSSGT_ATTR_FAST_SPEED_RF_OUTPUT_LEVEL;
extern RsAttrProperties g_RSSGT_ATTR_FORMAT_SEQUENCE_OF_BYTES;
extern RsAttrProperties g_RSSGT_ATTR_FORMAT_STATUS_REGISTER;
extern RsAttrProperties g_RSSGT_ATTR_FORMAT_DATA;
extern RsAttrProperties g_RSSGT_ATTR_TIME_ZONE;
extern RsAttrProperties g_RSSGT_ATTR_TIME_ZONE_CATALOG;
extern RsAttrProperties g_RSSGT_ATTR_INIT_SW_TRIGGER;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rssgt_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rssgt_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSSGT_ATTRIBUTES_HEADER */
