#include <pybind11/pybind11.h>
#include "InstrumentDriver/rssgt.h" 


namespace py = pybind11;

void init_ex2(py::module &m) {


// Place your defines here

// GeneratedDefinesStart

    m.attr("__RSSGT_HEADER")=py::int_(__RSSGT_HEADER);
    m.attr("SIMULATION_ID_QUERY")=std::string(RSSGT_SIMULATION_ID_QUERY);
    m.attr("VALID_ID_RESPONSE_STRING")=std::string(RSSGT_VALID_ID_RESPONSE_STRING);
    m.attr("SIMULATION_OPT_QUERY")=std::string(RSSGT_SIMULATION_OPT_QUERY);
    m.attr("IO_BUFFER_SIZE")=py::int_(RSSGT_IO_BUFFER_SIZE);
    m.attr("OPC_TIMEOUT")=py::int_(RSSGT_OPC_TIMEOUT);
    m.attr("IEEE_488_2_ERROR_MASK")=py::int_(IEEE_488_2_ERROR_MASK);
    m.attr("IEEE_488_2_ESE_MASK")=py::int_(IEEE_488_2_ESE_MASK);
    m.attr("MAX_OPC_TIME")=py::int_(MAX_OPC_TIME);
    m.attr("CLASS_DRIVER_DESCRIPTION")=std::string(RSSGT_CLASS_DRIVER_DESCRIPTION);
    m.attr("CLASS_DRIVER_PREFIX")=std::string(RSSGT_CLASS_DRIVER_PREFIX);
    m.attr("CLASS_DRIVER_VENDOR")=std::string(RSSGT_CLASS_DRIVER_VENDOR);
    m.attr("CLASS_DRIVER_REVISION")=std::string(RSSGT_CLASS_DRIVER_REVISION);
    m.attr("CLASS_SPEC_MAJOR_VERSION")=py::int_(RSSGT_CLASS_SPEC_MAJOR_VERSION);
    m.attr("CLASS_SPEC_MINOR_VERSION")=py::int_(RSSGT_CLASS_SPEC_MINOR_VERSION);
    m.attr("SPECIFIC_DRIVER_DESCRIPTION")=std::string(RSSGT_SPECIFIC_DRIVER_DESCRIPTION);
    m.attr("SPECIFIC_DRIVER_PREFIX")=std::string(RSSGT_SPECIFIC_DRIVER_PREFIX);
    m.attr("SPECIFIC_DRIVER_LOCATOR")=std::string(RSSGT_SPECIFIC_DRIVER_LOCATOR);
    m.attr("SPECIFIC_DRIVER_VENDOR")=std::string(RSSGT_SPECIFIC_DRIVER_VENDOR);
    m.attr("MAJOR_VERSION")=py::int_(RSSGT_MAJOR_VERSION);
    m.attr("MINOR_VERSION")=py::int_(RSSGT_MINOR_VERSION);
    m.attr("MINOR_MINOR_VERSION")=py::int_(RSSGT_MINOR_MINOR_VERSION);
    m.attr("SUPPORTED_INSTRUMENT_MODELS")=std::string(RSSGT_SUPPORTED_INSTRUMENT_MODELS);
    m.attr("GROUP_CAPABILITIES")=std::string(RSSGT_GROUP_CAPABILITIES);
    m.attr("FUNCTION_CAPABILITIES")=std::string(RSSGT_FUNCTION_CAPABILITIES);
    m.attr("ATTR_RANGE_CHECK")=py::int_(RSSGT_ATTR_RANGE_CHECK);
    m.attr("ATTR_QUERY_INSTRUMENT_STATUS")=py::int_(RSSGT_ATTR_QUERY_INSTRUMENT_STATUS);
    m.attr("ATTR_CACHE")=py::int_(RSSGT_ATTR_CACHE);
    m.attr("ATTR_SIMULATE")=py::int_(RSSGT_ATTR_SIMULATE);
    m.attr("ATTR_RECORD_COERCIONS")=py::int_(RSSGT_ATTR_RECORD_COERCIONS);
    m.attr("ATTR_INTERCHANGE_CHECK")=py::int_(RSSGT_ATTR_INTERCHANGE_CHECK);
    m.attr("ATTR_SPY")=py::int_(RSSGT_ATTR_SPY);
    m.attr("ATTR_USE_SPECIFIC_SIMULATION")=py::int_(RSSGT_ATTR_USE_SPECIFIC_SIMULATION);
    m.attr("ATTR_PRIMARY_ERROR")=py::int_(RSSGT_ATTR_PRIMARY_ERROR);
    m.attr("ATTR_SECONDARY_ERROR")=py::int_(RSSGT_ATTR_SECONDARY_ERROR);
    m.attr("ATTR_IO_SESSION")=py::int_(RSSGT_ATTR_IO_SESSION);
    m.attr("ATTR_IO_SESSION_TYPE")=py::int_(RSSGT_ATTR_IO_SESSION_TYPE);
    m.attr("ATTR_CLASS_DRIVER_DESCRIPTION")=py::int_(RSSGT_ATTR_CLASS_DRIVER_DESCRIPTION);
    m.attr("ATTR_CLASS_DRIVER_PREFIX")=py::int_(RSSGT_ATTR_CLASS_DRIVER_PREFIX);
    m.attr("ATTR_CLASS_DRIVER_VENDOR")=py::int_(RSSGT_ATTR_CLASS_DRIVER_VENDOR);
    m.attr("ATTR_CLASS_DRIVER_REVISION")=py::int_(RSSGT_ATTR_CLASS_DRIVER_REVISION);
    m.attr("ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION")=py::int_(RSSGT_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION);
    m.attr("ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION")=py::int_(RSSGT_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION);
    m.attr("ATTR_SPECIFIC_DRIVER_DESCRIPTION")=py::int_(RSSGT_ATTR_SPECIFIC_DRIVER_DESCRIPTION);
    m.attr("ATTR_SPECIFIC_DRIVER_PREFIX")=py::int_(RSSGT_ATTR_SPECIFIC_DRIVER_PREFIX);
    m.attr("ATTR_SPECIFIC_DRIVER_LOCATOR")=py::int_(RSSGT_ATTR_SPECIFIC_DRIVER_LOCATOR);
    m.attr("ATTR_SPECIFIC_DRIVER_VENDOR")=py::int_(RSSGT_ATTR_SPECIFIC_DRIVER_VENDOR);
    m.attr("ATTR_SPECIFIC_DRIVER_REVISION")=py::int_(RSSGT_ATTR_SPECIFIC_DRIVER_REVISION);
    m.attr("ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION")=py::int_(RSSGT_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION);
    m.attr("ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION")=py::int_(RSSGT_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION);
    m.attr("ATTR_SPECIFIC_DRIVER_MAJOR_VERSION")=py::int_(RSSGT_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION);
    m.attr("ATTR_SPECIFIC_DRIVER_MAJOR_VERSION")=py::int_(RSSGT_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION);
    m.attr("ATTR_SPECIFIC_DRIVER_MINOR_VERSION")=py::int_(RSSGT_ATTR_SPECIFIC_DRIVER_MINOR_VERSION);
    m.attr("ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION")=py::int_(RSSGT_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION);
    m.attr("ATTR_CLASS_DRIVER_MAJOR_VERSION")=py::int_(RSSGT_ATTR_CLASS_DRIVER_MAJOR_VERSION);
    m.attr("ATTR_CLASS_DRIVER_MINOR_VERSION")=py::int_(RSSGT_ATTR_CLASS_DRIVER_MINOR_VERSION);
    m.attr("ATTR_ENGINE_MAJOR_VERSION")=py::int_(RSSGT_ATTR_ENGINE_MAJOR_VERSION);
    m.attr("ATTR_ENGINE_MINOR_VERSION")=py::int_(RSSGT_ATTR_ENGINE_MINOR_VERSION);
    m.attr("ATTR_ENGINE_REVISION")=py::int_(RSSGT_ATTR_ENGINE_REVISION);
    m.attr("ATTR_SUPPORTED_INSTRUMENT_MODELS")=py::int_(RSSGT_ATTR_SUPPORTED_INSTRUMENT_MODELS);
    m.attr("ATTR_GROUP_CAPABILITIES")=py::int_(RSSGT_ATTR_GROUP_CAPABILITIES);
    m.attr("ATTR_FUNCTION_CAPABILITIES")=py::int_(RSSGT_ATTR_FUNCTION_CAPABILITIES);
    m.attr("ATTR_CHANNEL_COUNT")=py::int_(RSSGT_ATTR_CHANNEL_COUNT);
    m.attr("ATTR_DRIVER_SETUP")=py::int_(RSSGT_ATTR_DRIVER_SETUP);
    m.attr("ATTR_INSTRUMENT_MANUFACTURER")=py::int_(RSSGT_ATTR_INSTRUMENT_MANUFACTURER);
    m.attr("ATTR_INSTRUMENT_MODEL")=py::int_(RSSGT_ATTR_INSTRUMENT_MODEL);
    m.attr("ATTR_INSTRUMENT_FIRMWARE_REVISION")=py::int_(RSSGT_ATTR_INSTRUMENT_FIRMWARE_REVISION);
    m.attr("ATTR_OPTIONS_LIST")=py::int_(RSSGT_ATTR_OPTIONS_LIST);
    m.attr("ATTR_IO_RESOURCE_DESCRIPTOR")=py::int_(RSSGT_ATTR_IO_RESOURCE_DESCRIPTOR);
    m.attr("ATTR_LOGICAL_NAME")=py::int_(RSSGT_ATTR_LOGICAL_NAME);
    m.attr("ATTR_OPC_TIMEOUT")=py::int_(RSSGT_ATTR_OPC_TIMEOUT);
    m.attr("ATTR_REFERENCE_OSCILLATOR_SOURCE")=py::int_(RSSGT_ATTR_REFERENCE_OSCILLATOR_SOURCE);
    m.attr("ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY")=py::int_(RSSGT_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY);
    m.attr("ATTR_REFERENCE_OSCILLATOR_OUTPUT_FREQUENCY")=py::int_(RSSGT_ATTR_REFERENCE_OSCILLATOR_OUTPUT_FREQUENCY);
    m.attr("ATTR_REFERENCE_OSCILLATOR_SYNCHRONIZATION_BANDWIDTH")=py::int_(RSSGT_ATTR_REFERENCE_OSCILLATOR_SYNCHRONIZATION_BANDWIDTH);
    m.attr("ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_ACTIVE")=py::int_(RSSGT_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_ACTIVE);
    m.attr("ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_SMALL_SHIFT")=py::int_(RSSGT_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_SMALL_SHIFT);
    m.attr("ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_CALIBRATION_VALUE")=py::int_(RSSGT_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_CALIBRATION_VALUE);
    m.attr("ATTR_BB_SYSTEM_CONFIGURATION")=py::int_(RSSGT_ATTR_BB_SYSTEM_CONFIGURATION);
    m.attr("ATTR_BB_FREQUENCY_OFFSET")=py::int_(RSSGT_ATTR_BB_FREQUENCY_OFFSET);
    m.attr("ATTR_BB_PATH_GAIN")=py::int_(RSSGT_ATTR_BB_PATH_GAIN);
    m.attr("ATTR_BB_PHASE_OFFSET")=py::int_(RSSGT_ATTR_BB_PHASE_OFFSET);
    m.attr("ATTR_BB_PULSE_SEQUENCER_INFO")=py::int_(RSSGT_ATTR_BB_PULSE_SEQUENCER_INFO);
    m.attr("ATTR_PATH")=py::int_(RSSGT_ATTR_PATH);
    m.attr("ATTR_ARB_ENABLED")=py::int_(RSSGT_ATTR_ARB_ENABLED);
    m.attr("ATTR_ARB_SET_TO_DEFAULT")=py::int_(RSSGT_ATTR_ARB_SET_TO_DEFAULT);
    m.attr("ATTR_ARB_CLOCK_FREQUENCY")=py::int_(RSSGT_ATTR_ARB_CLOCK_FREQUENCY);
    m.attr("ATTR_ARB_WAVEFORM_CATALOG")=py::int_(RSSGT_ATTR_ARB_WAVEFORM_CATALOG);
    m.attr("ATTR_ARB_WAVEFORM_CATALOG_LENGTH")=py::int_(RSSGT_ATTR_ARB_WAVEFORM_CATALOG_LENGTH);
    m.attr("ATTR_ARB_WAVEFORM_DELETE")=py::int_(RSSGT_ATTR_ARB_WAVEFORM_DELETE);
    m.attr("ATTR_ARB_WAVEFORM_POINTS")=py::int_(RSSGT_ATTR_ARB_WAVEFORM_POINTS);
    m.attr("ATTR_ARB_WAVEFORM_SELECT")=py::int_(RSSGT_ATTR_ARB_WAVEFORM_SELECT);
    m.attr("ATTR_ARB_TRIGGER_STATUS")=py::int_(RSSGT_ATTR_ARB_TRIGGER_STATUS);
    m.attr("ATTR_ARB_TRIGGER_ARM_EXECUTE")=py::int_(RSSGT_ATTR_ARB_TRIGGER_ARM_EXECUTE);
    m.attr("ATTR_ARB_EXECUTE_TRIGGER")=py::int_(RSSGT_ATTR_ARB_EXECUTE_TRIGGER);
    m.attr("ATTR_ARB_TRIGGER_DELAY_UNIT")=py::int_(RSSGT_ATTR_ARB_TRIGGER_DELAY_UNIT);
    m.attr("ATTR_ARB_TRIGGER_MODE")=py::int_(RSSGT_ATTR_ARB_TRIGGER_MODE);
    m.attr("ATTR_ARB_EXTENDED_TRIGGER_MODE")=py::int_(RSSGT_ATTR_ARB_EXTENDED_TRIGGER_MODE);
    m.attr("ATTR_ARB_TRIGGER_SOURCE")=py::int_(RSSGT_ATTR_ARB_TRIGGER_SOURCE);
    m.attr("ATTR_ARB_TRIGGER_SINGLE_SEQUENCE_LENGTH")=py::int_(RSSGT_ATTR_ARB_TRIGGER_SINGLE_SEQUENCE_LENGTH);
    m.attr("ATTR_ARB_TRIGGER_SINGLE_SIGNAL_DURATION_UNIT")=py::int_(RSSGT_ATTR_ARB_TRIGGER_SINGLE_SIGNAL_DURATION_UNIT);
    m.attr("ATTR_ARB_EXTERNAL_SYNCHRONIZE_OUTPUT")=py::int_(RSSGT_ATTR_ARB_EXTERNAL_SYNCHRONIZE_OUTPUT);
    m.attr("ATTR_ARB_EXTERNAL_TRIGGER_DELAY")=py::int_(RSSGT_ATTR_ARB_EXTERNAL_TRIGGER_DELAY);
    m.attr("ATTR_ARB_EXTERNAL_TRIGGER_INHIBIT")=py::int_(RSSGT_ATTR_ARB_EXTERNAL_TRIGGER_INHIBIT);
    m.attr("ATTR_ARB_EXTERNAL_TRIGGER_TIME_DELAY")=py::int_(RSSGT_ATTR_ARB_EXTERNAL_TRIGGER_TIME_DELAY);
    m.attr("ATTR_ARB_EXTERNAL_TRIGGER_TIME_EVENT_DELAY")=py::int_(RSSGT_ATTR_ARB_EXTERNAL_TRIGGER_TIME_EVENT_DELAY);
    m.attr("ATTR_ARB_MARKER_MODE")=py::int_(RSSGT_ATTR_ARB_MARKER_MODE);
    m.attr("ATTR_ARB_MARKER_PULSE_DIVIDER")=py::int_(RSSGT_ATTR_ARB_MARKER_PULSE_DIVIDER);
    m.attr("ATTR_ARB_MARKER_PULSE_FREQUENCY")=py::int_(RSSGT_ATTR_ARB_MARKER_PULSE_FREQUENCY);
    m.attr("ATTR_ARB_MARKER_PATTERN")=py::int_(RSSGT_ATTR_ARB_MARKER_PATTERN);
    m.attr("ATTR_ARB_MARKER_ON_TIME")=py::int_(RSSGT_ATTR_ARB_MARKER_ON_TIME);
    m.attr("ATTR_ARB_MARKER_OFF_TIME")=py::int_(RSSGT_ATTR_ARB_MARKER_OFF_TIME);
    m.attr("ATTR_ARB_MARKER_DELAY")=py::int_(RSSGT_ATTR_ARB_MARKER_DELAY);
    m.attr("ATTR_ARB_FIXED_MARKER_DELAY_MAXIMUM")=py::int_(RSSGT_ATTR_ARB_FIXED_MARKER_DELAY_MAXIMUM);
    m.attr("ATTR_ARB_FIXED_MARKER_DELAY_MINIMUM")=py::int_(RSSGT_ATTR_ARB_FIXED_MARKER_DELAY_MINIMUM);
    m.attr("ATTR_ARB_CLOCK_SOURCE")=py::int_(RSSGT_ATTR_ARB_CLOCK_SOURCE);
    m.attr("ATTR_ARB_CLOCK_MODE")=py::int_(RSSGT_ATTR_ARB_CLOCK_MODE);
    m.attr("ATTR_ARB_CHIP_CLOCK_MULTIPLIER")=py::int_(RSSGT_ATTR_ARB_CHIP_CLOCK_MULTIPLIER);
    m.attr("ATTR_ARB_CLOCK_SYNCHRONISATION_MODE")=py::int_(RSSGT_ATTR_ARB_CLOCK_SYNCHRONISATION_MODE);
    m.attr("ATTR_ARB_TSIGNAL_SINE_NAME")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_SINE_NAME);
    m.attr("ATTR_ARB_TSIGNAL_SINE_CREATE")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_SINE_CREATE);
    m.attr("ATTR_ARB_TSIGNAL_SINE_FREQUENCY")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_SINE_FREQUENCY);
    m.attr("ATTR_ARB_TSIGNAL_SINE_PHASE")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_SINE_PHASE);
    m.attr("ATTR_ARB_TSIGNAL_SINE_SAMPLES")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_SINE_SAMPLES);
    m.attr("ATTR_ARB_TSIGNAL_RECTANGLE_NAME")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_RECTANGLE_NAME);
    m.attr("ATTR_ARB_TSIGNAL_RECTANGLE_CREATE")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_RECTANGLE_CREATE);
    m.attr("ATTR_ARB_TSIGNAL_RECTANGLE_FREQUENCY")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_RECTANGLE_FREQUENCY);
    m.attr("ATTR_ARB_TSIGNAL_RECTANGLE_AMPLITUDE")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_RECTANGLE_AMPLITUDE);
    m.attr("ATTR_ARB_TSIGNAL_RECTANGLE_OFFSET_DC")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_RECTANGLE_OFFSET_DC);
    m.attr("ATTR_ARB_TSIGNAL_RECTANGLE_SAMPLES")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_RECTANGLE_SAMPLES);
    m.attr("ATTR_ARB_TSIGNAL_CIQ_NAME")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_CIQ_NAME);
    m.attr("ATTR_ARB_TSIGNAL_CIQ_CREATE")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_CIQ_CREATE);
    m.attr("ATTR_ARB_TSIGNAL_CIQ_I")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_CIQ_I);
    m.attr("ATTR_ARB_TSIGNAL_CIQ_Q")=py::int_(RSSGT_ATTR_ARB_TSIGNAL_CIQ_Q);
    m.attr("ATTR_ARB_MULTISEGMENT_STREAMING_ENABLED")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_STREAMING_ENABLED);
    m.attr("ATTR_ARB_MULTISEGMENT_FREE_DISK_SPACE")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_FREE_DISK_SPACE);
    m.attr("ATTR_ARB_MULTISEGMENT_FILLING_LEVEL_STREAMING_BUFFER")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_FILLING_LEVEL_STREAMING_BUFFER);
    m.attr("ATTR_ARB_MULTISEGMENT_OUTPUT_SEGMENT")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_OUTPUT_SEGMENT);
    m.attr("ATTR_ARB_MULTISEGMENT_CURRENT_OUTPUT_SEGMENT")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_CURRENT_OUTPUT_SEGMENT);
    m.attr("ATTR_ARB_MULTISEGMENT_LEVEL_MODE")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_LEVEL_MODE);
    m.attr("ATTR_ARB_MULTISEGMENT_MARKER_MODE")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_MARKER_MODE);
    m.attr("ATTR_ARB_MULTISEGMENT_SEQUENCE_RESTART")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_SEQUENCE_RESTART);
    m.attr("ATTR_ARB_MULTISEGMENT_SEGMENT_RESTART")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_SEGMENT_RESTART);
    m.attr("ATTR_ARB_MULTISEGMENT_SAVE_FILE")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_SAVE_FILE);
    m.attr("ATTR_ARB_MULTISEGMENT_APPEND_FILE")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_APPEND_FILE);
    m.attr("ATTR_ARB_MULTISEGMENT_NAME")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_NAME);
    m.attr("ATTR_ARB_MULTISEGMENT_LEVEL")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_LEVEL);
    m.attr("ATTR_ARB_MULTISEGMENT_EXECUTE_NEXT_SEGMENT")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_EXECUTE_NEXT_SEGMENT);
    m.attr("ATTR_ARB_MULTISEGMENT_NEXT_SEGMENT_SOURCE")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_NEXT_SEGMENT_SOURCE);
    m.attr("ATTR_ARB_MULTISEGMENT_SEQUENCING_LIST")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_SEQUENCING_LIST);
    m.attr("ATTR_ARB_MULTISEGMENT_CONFIGURATION_FILE")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_CONFIGURATION_FILE);
    m.attr("ATTR_ARB_MULTISEGMENT_CREATE")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_CREATE);
    m.attr("ATTR_ARB_MULTISEGMENT_LOAD_FROM_CONFIGURATION_FILE")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_LOAD_FROM_CONFIGURATION_FILE);
    m.attr("ATTR_ARB_MULTISEGMENT_CATALOG")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_CATALOG);
    m.attr("ATTR_ARB_MULTISEGMENT_SEGMENT_CATALOG")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_SEGMENT_CATALOG);
    m.attr("ATTR_ARB_MULTISEGMENT_DELETE_CONFIGURATION_FILE")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_DELETE_CONFIGURATION_FILE);
    m.attr("ATTR_ARB_MULTISEGMENT_COMMENT")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_COMMENT);
    m.attr("ATTR_ARB_MULTISEGMENT_CLOCK")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_CLOCK);
    m.attr("ATTR_ARB_MULTISEGMENT_CLOCK_MODE")=py::int_(RSSGT_ATTR_ARB_MULTISEGMENT_CLOCK_MODE);
    m.attr("ATTR_ARB_MULTI_CARRIER_CREATE")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_CREATE);
    m.attr("ATTR_ARB_MULTI_CARRIER_CLOCK")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_CLOCK);
    m.attr("ATTR_ARB_MULTI_CARRIER_RESET")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_RESET);
    m.attr("ATTR_ARB_MULTI_CARRIER_MODE")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_MODE);
    m.attr("ATTR_ARB_MULTI_CARRIER_CREST_FACTOR_MODE")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_CREST_FACTOR_MODE);
    m.attr("ATTR_ARB_MULTI_CARRIER_OUTPUT_FILE")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_OUTPUT_FILE);
    m.attr("ATTR_ARB_MULTI_CARRIER_SAVE_FILE")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_SAVE_FILE);
    m.attr("ATTR_ARB_MULTI_CARRIER_SAMPLES")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_SAMPLES);
    m.attr("ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD_MODE")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD_MODE);
    m.attr("ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD);
    m.attr("ATTR_ARB_MULTI_CARRIER_POWER_REFERENCE")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_POWER_REFERENCE);
    m.attr("ATTR_ARB_MULTI_CARRIER_COUNT")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_COUNT);
    m.attr("ATTR_ARB_MULTI_CARRIER_SPACING")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_SPACING);
    m.attr("ATTR_ARB_MULTI_CARRIER_FREQUENCY")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_FREQUENCY);
    m.attr("ATTR_ARB_MULTI_CARRIER_DELAY")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_DELAY);
    m.attr("ATTR_ARB_MULTI_CARRIER_DATA_FILE")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_DATA_FILE);
    m.attr("ATTR_ARB_MULTI_CARRIER_PHASE")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_PHASE);
    m.attr("ATTR_ARB_MULTI_CARRIER_POWER")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_POWER);
    m.attr("ATTR_ARB_MULTI_CARRIER_ENABLED")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_ENABLED);
    m.attr("ATTR_ARB_MULTI_CARRIER_CONFLICT")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_CONFLICT);
    m.attr("ATTR_ARB_MULTI_CARRIER_EDIT_EXECUTE")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_EXECUTE);
    m.attr("ATTR_ARB_MULTI_CARRIER_EDIT_DELAY")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY);
    m.attr("ATTR_ARB_MULTI_CARRIER_EDIT_DELAY_STEP")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY_STEP);
    m.attr("ATTR_ARB_MULTI_CARRIER_EDIT_INPUT_IQ_FILE")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_INPUT_IQ_FILE);
    m.attr("ATTR_ARB_MULTI_CARRIER_EDIT_PHASE")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE);
    m.attr("ATTR_ARB_MULTI_CARRIER_EDIT_PHASE_STEP")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE_STEP);
    m.attr("ATTR_ARB_MULTI_CARRIER_EDIT_POWER")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_POWER);
    m.attr("ATTR_ARB_MULTI_CARRIER_EDIT_POWER_STEP")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_POWER_STEP);
    m.attr("ATTR_ARB_MULTI_CARRIER_EDIT_START")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_START);
    m.attr("ATTR_ARB_MULTI_CARRIER_EDIT_STOP")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_STOP);
    m.attr("ATTR_ARB_MULTI_CARRIER_EDIT_ENABLED")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_EDIT_ENABLED);
    m.attr("ATTR_ARB_MULTI_CARRIER_FILE_STORE_FAST")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_FILE_STORE_FAST);
    m.attr("ATTR_ARB_MULTI_CARRIER_FILE_CATALOG")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_FILE_CATALOG);
    m.attr("ATTR_ARB_MULTI_CARRIER_FILE_LOAD")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_FILE_LOAD);
    m.attr("ATTR_ARB_MULTI_CARRIER_FILE_STORE")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_FILE_STORE);
    m.attr("ATTR_ARB_MULTI_CARRIER_CLIPPING_ENABLED")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_CLIPPING_ENABLED);
    m.attr("ATTR_ARB_MULTI_CARRIER_CLIPPING_TARGET_CREST_FACTOR")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_CLIPPING_TARGET_CREST_FACTOR);
    m.attr("ATTR_ARB_MULTI_CARRIER_CLIPPING_FILTER_CUT_OFF_FREQUENCY")=py::int_(RSSGT_ATTR_ARB_MULTI_CARRIER_CLIPPING_FILTER_CUT_OFF_FREQUENCY);
    m.attr("ATTR_PROGRESS_MULTI_CODER")=py::int_(RSSGT_ATTR_PROGRESS_MULTI_CODER);
    m.attr("ATTR_PROGRESS_MULTI_CARRIER")=py::int_(RSSGT_ATTR_PROGRESS_MULTI_CARRIER);
    m.attr("ATTR_PROGRESS_MULTI_SEGMENT")=py::int_(RSSGT_ATTR_PROGRESS_MULTI_SEGMENT);
    m.attr("ATTR_IQ_ENABLED")=py::int_(RSSGT_ATTR_IQ_ENABLED);
    m.attr("ATTR_IQ_WIDEBAND_ENABLED")=py::int_(RSSGT_ATTR_IQ_WIDEBAND_ENABLED);
    m.attr("ATTR_IQ_ANALOG_WIDEBAND_CREST_FACTOR")=py::int_(RSSGT_ATTR_IQ_ANALOG_WIDEBAND_CREST_FACTOR);
    m.attr("ATTR_IQ_OUTPUT_LEVEL_ENTRY")=py::int_(RSSGT_ATTR_IQ_OUTPUT_LEVEL_ENTRY);
    m.attr("ATTR_IQ_OUTPUT_DIGITAL_OVERFLOW_RESET")=py::int_(RSSGT_ATTR_IQ_OUTPUT_DIGITAL_OVERFLOW_RESET);
    m.attr("ATTR_IQ_OUTPUT_ANALOG_ENABLED")=py::int_(RSSGT_ATTR_IQ_OUTPUT_ANALOG_ENABLED);
    m.attr("ATTR_IQ_OUTPUT_ANALOG_SET_TO_DEFAULT")=py::int_(RSSGT_ATTR_IQ_OUTPUT_ANALOG_SET_TO_DEFAULT);
    m.attr("ATTR_IQ_OUTPUT_ANALOG_TYPE")=py::int_(RSSGT_ATTR_IQ_OUTPUT_ANALOG_TYPE);
    m.attr("ATTR_IQ_OUTPUT_ANALOG_LOAD_SETTINGS")=py::int_(RSSGT_ATTR_IQ_OUTPUT_ANALOG_LOAD_SETTINGS);
    m.attr("ATTR_IQ_OUTPUT_ANALOG_STORE_SETTINGS")=py::int_(RSSGT_ATTR_IQ_OUTPUT_ANALOG_STORE_SETTINGS);
    m.attr("ATTR_IQ_OUTPUT_ANALOG_DELETE_SETTINGS")=py::int_(RSSGT_ATTR_IQ_OUTPUT_ANALOG_DELETE_SETTINGS);
    m.attr("ATTR_IQ_OUTPUT_ANALOG_SETTINGS_CATALOG")=py::int_(RSSGT_ATTR_IQ_OUTPUT_ANALOG_SETTINGS_CATALOG);
    m.attr("ATTR_IQ_OUTPUT_ANALOG_I_OFFSET")=py::int_(RSSGT_ATTR_IQ_OUTPUT_ANALOG_I_OFFSET);
    m.attr("ATTR_IQ_OUTPUT_ANALOG_Q_OFFSET")=py::int_(RSSGT_ATTR_IQ_OUTPUT_ANALOG_Q_OFFSET);
    m.attr("ATTR_IQ_OUTPUT_ANALOG_DISPLAY_POWER_VIA")=py::int_(RSSGT_ATTR_IQ_OUTPUT_ANALOG_DISPLAY_POWER_VIA);
    m.attr("ATTR_ENVELOPE_TRACKING_RF_ENVELOPE")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_RF_ENVELOPE);
    m.attr("ATTR_ENVELOPE_TRACKING_VOLTAGE_ADAPTATION")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_VOLTAGE_ADAPTATION);
    m.attr("ATTR_ENVELOPE_TRACKING_ETRACK_INTERFACE_TYPE")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_ETRACK_INTERFACE_TYPE);
    m.attr("ATTR_ENVELOPE_TRACKING_VOLTAGE_REFERENCE")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_VOLTAGE_REFERENCE);
    m.attr("ATTR_ENVELOPE_TRACKING_VOUT_MAX")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_VOUT_MAX);
    m.attr("ATTR_ENVELOPE_TRACKING_VOUT_MIN")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_VOUT_MIN);
    m.attr("ATTR_ENVELOPE_TRACKING_BIAS")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_BIAS);
    m.attr("ATTR_ENVELOPE_TRACKING_OFFSET")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_OFFSET);
    m.attr("ATTR_ENVELOPE_TRACKING_VPP_MAX")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_VPP_MAX);
    m.attr("ATTR_ENVELOPE_TRACKING_EMF_ENABLED")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_EMF_ENABLED);
    m.attr("ATTR_ENVELOPE_TRACKING_RIN")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_RIN);
    m.attr("ATTR_ENVELOPE_TRACKING_TERMINATION")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_TERMINATION);
    m.attr("ATTR_ENVELOPE_TRACKING_BIPOLAR_INPUT_ENABLED")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_BIPOLAR_INPUT_ENABLED);
    m.attr("ATTR_ENVELOPE_TRACKING_GAIN")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_GAIN);
    m.attr("ATTR_ENVELOPE_TRACKING_VCC_OFFSET")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_VCC_OFFSET);
    m.attr("ATTR_ENVELOPE_TRACKING_VCC_MAX")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_VCC_MAX);
    m.attr("ATTR_ENVELOPE_TRACKING_VCC_MIN")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_VCC_MIN);
    m.attr("ATTR_ENVELOPE_TRACKING_PEP_IN_MAX")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_PEP_IN_MAX);
    m.attr("ATTR_ENVELOPE_TRACKING_PEP_IN_MIN")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_PEP_IN_MIN);
    m.attr("ATTR_ENVELOPE_TRACKING_POWER_OFFSET")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_POWER_OFFSET);
    m.attr("ATTR_ENVELOPE_TRACKING_DELAY")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_DELAY);
    m.attr("ATTR_ENVELOPE_TRACKING_CALCULATE_ENVELOPE_FROM_PREDISTORTED_SIGNAL")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_CALCULATE_ENVELOPE_FROM_PREDISTORTED_SIGNAL);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_DETROUGHING_FUNCTION")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_DETROUGHING_FUNCTION);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_COUPLE_DETROUGHING_FACTOR_WITH_VCC")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_COUPLE_DETROUGHING_FACTOR_WITH_VCC);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_DETROUGHING_FACTOR")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_DETROUGHING_FACTOR);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_DETROUGHING_EXPONENT")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_DETROUGHING_EXPONENT);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_PRE_GAIN")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_PRE_GAIN);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_POST_GAIN")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_POST_GAIN);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_INTERPOLATION")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_INTERPOLATION);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_SCALE")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_SCALE);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_CLIPPING_FROM")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_CLIPPING_FROM);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_CLIPPING_TO")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_CLIPPING_TO);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_FILE_CATALOG")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_FILE_CATALOG);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_SELECT_FILE")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_SELECT_FILE);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_PV_FILE_CATALOG")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_PV_FILE_CATALOG);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_PV_SELECT_FILE")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_PV_SELECT_FILE);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_POLYNOMIAL_FILE_CATALOG")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_POLYNOMIAL_FILE_CATALOG);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_POLYNOMIAL_LOAD_FILE")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_POLYNOMIAL_LOAD_FILE);
    m.attr("ATTR_ENVELOPE_TRACKING_SHAPING_POLYNOMIAL_SAVE_FILE")=py::int_(RSSGT_ATTR_ENVELOPE_TRACKING_SHAPING_POLYNOMIAL_SAVE_FILE);
    m.attr("ATTR_IQ_MODULATION_IMPAIRMENTS_ENABLED")=py::int_(RSSGT_ATTR_IQ_MODULATION_IMPAIRMENTS_ENABLED);
    m.attr("ATTR_IQ_I_OFFSET")=py::int_(RSSGT_ATTR_IQ_I_OFFSET);
    m.attr("ATTR_IQ_Q_OFFSET")=py::int_(RSSGT_ATTR_IQ_Q_OFFSET);
    m.attr("ATTR_IQ_GAIN_IMBALANCE")=py::int_(RSSGT_ATTR_IQ_GAIN_IMBALANCE);
    m.attr("ATTR_IQ_QUADRATURE_OFFSET")=py::int_(RSSGT_ATTR_IQ_QUADRATURE_OFFSET);
    m.attr("ATTR_IQ_SOURCE")=py::int_(RSSGT_ATTR_IQ_SOURCE);
    m.attr("ATTR_IQ_IMPAIRMENTS_SWAP")=py::int_(RSSGT_ATTR_IQ_IMPAIRMENTS_SWAP);
    m.attr("ATTR_DIGITAL_PREDISTORTION_ENABLED")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_ENABLED);
    m.attr("ATTR_DIGITAL_PREDISTORTION_SET_TO_DEFAULT")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_SET_TO_DEFAULT);
    m.attr("ATTR_DIGITAL_PREDISTORTION_LOAD_SETTINGS")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_LOAD_SETTINGS);
    m.attr("ATTR_DIGITAL_PREDISTORTION_STORE_SETTINGS")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_STORE_SETTINGS);
    m.attr("ATTR_DIGITAL_PREDISTORTION_DELETE_SETTINGS")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_DELETE_SETTINGS);
    m.attr("ATTR_DIGITAL_PREDISTORTION_SETTINGS_CATALOG")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_SETTINGS_CATALOG);
    m.attr("ATTR_DIGITAL_PREDISTORTION_AM_AM_FIRST")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_AM_AM_FIRST);
    m.attr("ATTR_DIGITAL_PREDISTORTION_LEVEL_REFERENCE")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_LEVEL_REFERENCE);
    m.attr("ATTR_DIGITAL_PREDISTORTION_MAXIMUM_OUTPUT_LEVEL_ERROR")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_MAXIMUM_OUTPUT_LEVEL_ERROR);
    m.attr("ATTR_DIGITAL_PREDISTORTION_MAXIMUM_NUMBER_OF_ITERACTIONS")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_MAXIMUM_NUMBER_OF_ITERACTIONS);
    m.attr("ATTR_DIGITAL_PREDISTORTION_INTERACTIONS_STATUS")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_INTERACTIONS_STATUS);
    m.attr("ATTR_DIGITAL_PREDISTORTION_ACHIEVED_OUTPUT_LEVEL_ERROR")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_ACHIEVED_OUTPUT_LEVEL_ERROR);
    m.attr("ATTR_DIGITAL_PREDISTORTION_INPUT_PEP")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_INPUT_PEP);
    m.attr("ATTR_DIGITAL_PREDISTORTION_INPUT_LEVEL")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_INPUT_LEVEL);
    m.attr("ATTR_DIGITAL_PREDISTORTION_INPUT_CREST_FACTOR")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_INPUT_CREST_FACTOR);
    m.attr("ATTR_DIGITAL_PREDISTORTION_OUTPUT_PEP")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_OUTPUT_PEP);
    m.attr("ATTR_DIGITAL_PREDISTORTION_OUTPUT_LEVEL")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_OUTPUT_LEVEL);
    m.attr("ATTR_DIGITAL_PREDISTORTION_OUTPUT_CREST_FACTOR")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_OUTPUT_CREST_FACTOR);
    m.attr("ATTR_DIGITAL_PREDISTORTION_AM_AM_STATE")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_AM_AM_STATE);
    m.attr("ATTR_DIGITAL_PREDISTORTION_AM_PM_STATE")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_AM_PM_STATE);
    m.attr("ATTR_DIGITAL_PREDISTORTION_SHAPING")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING);
    m.attr("ATTR_DIGITAL_PREDISTORTION_INTERPOLATION")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_INTERPOLATION);
    m.attr("ATTR_DIGITAL_PREDISTORTION_INVERT_CORRECTION_VALUES")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_INVERT_CORRECTION_VALUES);
    m.attr("ATTR_DIGITAL_PREDISTORTION_MAXIMUM_PEP_INPUT_POWER")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_MAXIMUM_PEP_INPUT_POWER);
    m.attr("ATTR_DIGITAL_PREDISTORTION_MINIMUM_PEP_INPUT_POWER")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_MINIMUM_PEP_INPUT_POWER);
    m.attr("ATTR_DIGITAL_PREDISTORTION_PRE_GAIN")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_PRE_GAIN);
    m.attr("ATTR_DIGITAL_PREDISTORTION_SHAPING_TABLE_AM_AM_FILE_CATALOG")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_TABLE_AM_AM_FILE_CATALOG);
    m.attr("ATTR_DIGITAL_PREDISTORTION_SHAPING_TABLE_AM_AM_SELECT_FILE")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_TABLE_AM_AM_SELECT_FILE);
    m.attr("ATTR_DIGITAL_PREDISTORTION_SHAPING_TABLE_AM_PM_FILE_CATALOG")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_TABLE_AM_PM_FILE_CATALOG);
    m.attr("ATTR_DIGITAL_PREDISTORTION_SHAPING_TABLE_AM_PM_SELECT_FILE")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_TABLE_AM_PM_SELECT_FILE);
    m.attr("ATTR_DIGITAL_PREDISTORTION_SHAPING_POLYNOMIAL_FILE_CATALOG")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_POLYNOMIAL_FILE_CATALOG);
    m.attr("ATTR_DIGITAL_PREDISTORTION_SHAPING_POLYNOMIAL_LOAD_FILE")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_POLYNOMIAL_LOAD_FILE);
    m.attr("ATTR_DIGITAL_PREDISTORTION_SHAPING_POLYNOMIAL_SAVE_FILE")=py::int_(RSSGT_ATTR_DIGITAL_PREDISTORTION_SHAPING_POLYNOMIAL_SAVE_FILE);
    m.attr("ATTR_IQ_IMPAIRMENTS_ENABLED")=py::int_(RSSGT_ATTR_IQ_IMPAIRMENTS_ENABLED);
    m.attr("ATTR_IQ_IMPAIRMENTS_DELAY")=py::int_(RSSGT_ATTR_IQ_IMPAIRMENTS_DELAY);
    m.attr("ATTR_IQ_IMPAIRMENTS_RATIO")=py::int_(RSSGT_ATTR_IQ_IMPAIRMENTS_RATIO);
    m.attr("ATTR_IQ_IMPAIRMENTS_LEAKAGE_I")=py::int_(RSSGT_ATTR_IQ_IMPAIRMENTS_LEAKAGE_I);
    m.attr("ATTR_IQ_IMPAIRMENTS_LEAKAGE_Q")=py::int_(RSSGT_ATTR_IQ_IMPAIRMENTS_LEAKAGE_Q);
    m.attr("ATTR_IQ_IMPAIRMENTS_QUADRATURE_OFFSET")=py::int_(RSSGT_ATTR_IQ_IMPAIRMENTS_QUADRATURE_OFFSET);
    m.attr("ATTR_IQ_IMPAIRMENTS_SKEW")=py::int_(RSSGT_ATTR_IQ_IMPAIRMENTS_SKEW);
    m.attr("ATTR_IQ_IMPAIRMENTS_PEAK_LEVEL")=py::int_(RSSGT_ATTR_IQ_IMPAIRMENTS_PEAK_LEVEL);
    m.attr("ATTR_IQ_IMPAIRMENTS_SIGNAL_LEVEL")=py::int_(RSSGT_ATTR_IQ_IMPAIRMENTS_SIGNAL_LEVEL);
    m.attr("ATTR_IQ_IMPAIRMENTS_OPTIMIZATION_ENABLED")=py::int_(RSSGT_ATTR_IQ_IMPAIRMENTS_OPTIMIZATION_ENABLED);
    m.attr("ATTR_IQ_IMPAIRMENTS_OPTIMIZATION_MODE")=py::int_(RSSGT_ATTR_IQ_IMPAIRMENTS_OPTIMIZATION_MODE);
    m.attr("ATTR_IQ_IMPAIRMENTS_CREST_FACTOR")=py::int_(RSSGT_ATTR_IQ_IMPAIRMENTS_CREST_FACTOR);
    m.attr("ATTR_IQ_OUTPUT_IMPAIRMENTS_ENABLED")=py::int_(RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_ENABLED);
    m.attr("ATTR_IQ_OUTPUT_IMPAIRMENTS_DELAY")=py::int_(RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_DELAY);
    m.attr("ATTR_IQ_OUTPUT_IMPAIRMENTS_RATIO")=py::int_(RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_RATIO);
    m.attr("ATTR_IQ_OUTPUT_IMPAIRMENTS_LEAKAGE_I")=py::int_(RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_LEAKAGE_I);
    m.attr("ATTR_IQ_OUTPUT_IMPAIRMENTS_LEAKAGE_Q")=py::int_(RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_LEAKAGE_Q);
    m.attr("ATTR_IQ_OUTPUT_IMPAIRMENTS_QUADRATURE_OFFSET")=py::int_(RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_QUADRATURE_OFFSET);
    m.attr("ATTR_IQ_OUTPUT_IMPAIRMENTS_SKEW")=py::int_(RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_SKEW);
    m.attr("ATTR_IQ_OUTPUT_IMPAIRMENTS_PHASE_OFFSET")=py::int_(RSSGT_ATTR_IQ_OUTPUT_IMPAIRMENTS_PHASE_OFFSET);
    m.attr("ATTR_AWGN_ENABLED")=py::int_(RSSGT_ATTR_AWGN_ENABLED);
    m.attr("ATTR_AWGN_MODE")=py::int_(RSSGT_ATTR_AWGN_MODE);
    m.attr("ATTR_AWGN_BANDWIDTH")=py::int_(RSSGT_ATTR_AWGN_BANDWIDTH);
    m.attr("ATTR_AWGN_BANDWIDTH_RATIO")=py::int_(RSSGT_ATTR_AWGN_BANDWIDTH_RATIO);
    m.attr("ATTR_AWGN_BANDWIDTH_NOISE")=py::int_(RSSGT_ATTR_AWGN_BANDWIDTH_NOISE);
    m.attr("ATTR_AWGN_BIT_RATE")=py::int_(RSSGT_ATTR_AWGN_BIT_RATE);
    m.attr("ATTR_AWGN_DISPLAY_MODE")=py::int_(RSSGT_ATTR_AWGN_DISPLAY_MODE);
    m.attr("ATTR_AWGN_DISPLAY_OUTPUT_RESULT")=py::int_(RSSGT_ATTR_AWGN_DISPLAY_OUTPUT_RESULT);
    m.attr("ATTR_AWGN_TARGET_CW_FREQUENCY_OFFSET")=py::int_(RSSGT_ATTR_AWGN_TARGET_CW_FREQUENCY_OFFSET);
    m.attr("ATTR_AWGN_RESULTING_CW_FREQUENCY_OFFSET")=py::int_(RSSGT_ATTR_AWGN_RESULTING_CW_FREQUENCY_OFFSET);
    m.attr("ATTR_AWGN_NOISE_LEVEL_VIA")=py::int_(RSSGT_ATTR_AWGN_NOISE_LEVEL_VIA);
    m.attr("ATTR_AWGN_CARRIER_TO_NOISE_RATIO")=py::int_(RSSGT_ATTR_AWGN_CARRIER_TO_NOISE_RATIO);
    m.attr("ATTR_AWGN_EB_TO_N0")=py::int_(RSSGT_ATTR_AWGN_EB_TO_N0);
    m.attr("ATTR_AWGN_CARRIER_LEVEL")=py::int_(RSSGT_ATTR_AWGN_CARRIER_LEVEL);
    m.attr("ATTR_AWGN_NOISE_LEVEL")=py::int_(RSSGT_ATTR_AWGN_NOISE_LEVEL);
    m.attr("ATTR_AWGN_NOISE_LEVEL_TOTAL")=py::int_(RSSGT_ATTR_AWGN_NOISE_LEVEL_TOTAL);
    m.attr("ATTR_AWGN_CARRIER_AND_NOISE_LEVEL")=py::int_(RSSGT_ATTR_AWGN_CARRIER_AND_NOISE_LEVEL);
    m.attr("ATTR_AWGN_CARRIER_AND_NOISE_PEP")=py::int_(RSSGT_ATTR_AWGN_CARRIER_AND_NOISE_PEP);
    m.attr("ATTR_AWGN_POWER_REFERENCE_MODE")=py::int_(RSSGT_ATTR_AWGN_POWER_REFERENCE_MODE);
    m.attr("ATTR_OUTPUT_ENABLED")=py::int_(RSSGT_ATTR_OUTPUT_ENABLED);
    m.attr("ATTR_BB_OPERATION_MODE")=py::int_(RSSGT_ATTR_BB_OPERATION_MODE);
    m.attr("ATTR_PATH_COUNT")=py::int_(RSSGT_ATTR_PATH_COUNT);
    m.attr("ATTR_RF_FREQUENCY")=py::int_(RSSGT_ATTR_RF_FREQUENCY);
    m.attr("ATTR_RF_FREQUENCY_OFFSET")=py::int_(RSSGT_ATTR_RF_FREQUENCY_OFFSET);
    m.attr("ATTR_RF_DELTA_PHASE")=py::int_(RSSGT_ATTR_RF_DELTA_PHASE);
    m.attr("ATTR_RESET_RF_DELTA_PHASE_DISPLAY")=py::int_(RSSGT_ATTR_RESET_RF_DELTA_PHASE_DISPLAY);
    m.attr("ATTR_PULM_ENABLED")=py::int_(RSSGT_ATTR_PULM_ENABLED);
    m.attr("ATTR_PULM_POLARITY")=py::int_(RSSGT_ATTR_PULM_POLARITY);
    m.attr("ATTR_PULM_SOURCE")=py::int_(RSSGT_ATTR_PULM_SOURCE);
    m.attr("ATTR_PULM_MODE")=py::int_(RSSGT_ATTR_PULM_MODE);
    m.attr("ATTR_PULM_PERIOD")=py::int_(RSSGT_ATTR_PULM_PERIOD);
    m.attr("ATTR_PULM_WIDTH")=py::int_(RSSGT_ATTR_PULM_WIDTH);
    m.attr("ATTR_PULM_DELAY")=py::int_(RSSGT_ATTR_PULM_DELAY);
    m.attr("ATTR_PULM_DOUBLE_WIDTH")=py::int_(RSSGT_ATTR_PULM_DOUBLE_WIDTH);
    m.attr("ATTR_PULM_DOUBLE_DELAY")=py::int_(RSSGT_ATTR_PULM_DOUBLE_DELAY);
    m.attr("ATTR_PULM_TRIGGER_MODE")=py::int_(RSSGT_ATTR_PULM_TRIGGER_MODE);
    m.attr("ATTR_PULM_TRIGGER_EXTERNAL_INPUT_IMPEDANCE")=py::int_(RSSGT_ATTR_PULM_TRIGGER_EXTERNAL_INPUT_IMPEDANCE);
    m.attr("ATTR_PULM_TRIGGER_EXTERNAL_INPUT_SLOPE")=py::int_(RSSGT_ATTR_PULM_TRIGGER_EXTERNAL_INPUT_SLOPE);
    m.attr("ATTR_PULM_TRIGGER_EXTERNAL_INPUT_GATE_POLARITY")=py::int_(RSSGT_ATTR_PULM_TRIGGER_EXTERNAL_INPUT_GATE_POLARITY);
    m.attr("ATTR_ALC_ENABLED")=py::int_(RSSGT_ATTR_ALC_ENABLED);
    m.attr("ATTR_ALC_SEARCH_ONCE")=py::int_(RSSGT_ATTR_ALC_SEARCH_ONCE);
    m.attr("ATTR_ALC_DETECTOR_SENSITIVITY")=py::int_(RSSGT_ATTR_ALC_DETECTOR_SENSITIVITY);
    m.attr("ATTR_RF_AMPLITUDE")=py::int_(RSSGT_ATTR_RF_AMPLITUDE);
    m.attr("ATTR_RF_LEVEL_OFFSET")=py::int_(RSSGT_ATTR_RF_LEVEL_OFFSET);
    m.attr("ATTR_RF_LEVEL")=py::int_(RSSGT_ATTR_RF_LEVEL);
    m.attr("ATTR_RF_LEVEL_LIMIT")=py::int_(RSSGT_ATTR_RF_LEVEL_LIMIT);
    m.attr("ATTR_RF_LEVEL_MODE")=py::int_(RSSGT_ATTR_RF_LEVEL_MODE);
    m.attr("ATTR_RF_LEVEL_SETTING_CHARACTERISTIC")=py::int_(RSSGT_ATTR_RF_LEVEL_SETTING_CHARACTERISTIC);
    m.attr("ATTR_RF_LEVEL_RANGE_MINIMUM")=py::int_(RSSGT_ATTR_RF_LEVEL_RANGE_MINIMUM);
    m.attr("ATTR_RF_LEVEL_RANGE_MAXIMUM")=py::int_(RSSGT_ATTR_RF_LEVEL_RANGE_MAXIMUM);
    m.attr("ATTR_RF_PEP")=py::int_(RSSGT_ATTR_RF_PEP);
    m.attr("ATTR_RF_LEVEL_RANGE_WARNINGS")=py::int_(RSSGT_ATTR_RF_LEVEL_RANGE_WARNINGS);
    m.attr("ATTR_RF_ATTENUATOR_MODE")=py::int_(RSSGT_ATTR_RF_ATTENUATOR_MODE);
    m.attr("ATTR_RF_ATTENUATOR_LOWER_RANGE")=py::int_(RSSGT_ATTR_RF_ATTENUATOR_LOWER_RANGE);
    m.attr("ATTR_RF_ATTENUATOR_UPPER_RANGE")=py::int_(RSSGT_ATTR_RF_ATTENUATOR_UPPER_RANGE);
    m.attr("ATTR_RF_ATTENUATOR_RF_OFF_MODE")=py::int_(RSSGT_ATTR_RF_ATTENUATOR_RF_OFF_MODE);
    m.attr("ATTR_RF_ATTENUATOR_SWITCH_OVER_OFFSET")=py::int_(RSSGT_ATTR_RF_ATTENUATOR_SWITCH_OVER_OFFSET);
    m.attr("ATTR_RF_ATTENUATION_DIGITAL")=py::int_(RSSGT_ATTR_RF_ATTENUATION_DIGITAL);
    m.attr("ATTR_POWER_ON_ENABLED")=py::int_(RSSGT_ATTR_POWER_ON_ENABLED);
    m.attr("ATTR_USER_CORRECTION_ENABLED")=py::int_(RSSGT_ATTR_USER_CORRECTION_ENABLED);
    m.attr("ATTR_USER_CORRECTION_VALUE")=py::int_(RSSGT_ATTR_USER_CORRECTION_VALUE);
    m.attr("ATTR_USER_CORRECTION_CATALOG")=py::int_(RSSGT_ATTR_USER_CORRECTION_CATALOG);
    m.attr("ATTR_USER_CORRECTION_SELECTED")=py::int_(RSSGT_ATTR_USER_CORRECTION_SELECTED);
    m.attr("ATTR_USER_CORRECTION_NUMBER_OF_FREQUENCIES")=py::int_(RSSGT_ATTR_USER_CORRECTION_NUMBER_OF_FREQUENCIES);
    m.attr("ATTR_USER_CORRECTION_NUMBER_OF_POWERS")=py::int_(RSSGT_ATTR_USER_CORRECTION_NUMBER_OF_POWERS);
    m.attr("ATTR_USER_CORRECTION_DELETE")=py::int_(RSSGT_ATTR_USER_CORRECTION_DELETE);
    m.attr("ATTR_USER_CORRECTION_IMPORT_EXPORT_CATALOG")=py::int_(RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_CATALOG);
    m.attr("ATTR_USER_CORRECTION_IMPORT_EXPORT_EXTENSION")=py::int_(RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_EXTENSION);
    m.attr("ATTR_USER_CORRECTION_IMPORT_EXPORT_ASCII_FILE")=py::int_(RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_ASCII_FILE);
    m.attr("ATTR_USER_CORRECTION_IMPORT_EXPORT_CORRECTION_FILE")=py::int_(RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_CORRECTION_FILE);
    m.attr("ATTR_USER_CORRECTION_IMPORT_EXPORT_COLUMN_SEPARATOR")=py::int_(RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_COLUMN_SEPARATOR);
    m.attr("ATTR_USER_CORRECTION_IMPORT_EXPORT_DECIMAL_SEPARATOR")=py::int_(RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_DECIMAL_SEPARATOR);
    m.attr("ATTR_USER_CORRECTION_IMPORT_EXPORT_MODE")=py::int_(RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_MODE);
    m.attr("ATTR_USER_CORRECTION_IMPORT_EXPORT_EXECUTE")=py::int_(RSSGT_ATTR_USER_CORRECTION_IMPORT_EXPORT_EXECUTE);
    m.attr("ATTR_LOSC_SOURCE")=py::int_(RSSGT_ATTR_LOSC_SOURCE);
    m.attr("ATTR_BBIN_ENABLED")=py::int_(RSSGT_ATTR_BBIN_ENABLED);
    m.attr("ATTR_BBIN_MODE")=py::int_(RSSGT_ATTR_BBIN_MODE);
    m.attr("ATTR_BBIN_IQ_SWAP")=py::int_(RSSGT_ATTR_BBIN_IQ_SWAP);
    m.attr("ATTR_BBIN_IQ_SKEW")=py::int_(RSSGT_ATTR_BBIN_IQ_SKEW);
    m.attr("ATTR_BBIN_CREST_FACTOR")=py::int_(RSSGT_ATTR_BBIN_CREST_FACTOR);
    m.attr("ATTR_BBIN_MEASUREMENT_PERIOD")=py::int_(RSSGT_ATTR_BBIN_MEASUREMENT_PERIOD);
    m.attr("ATTR_BBIN_AUTO_LEVEL_SET_ENABLED")=py::int_(RSSGT_ATTR_BBIN_AUTO_LEVEL_SET_ENABLED);
    m.attr("ATTR_BBIN_AUTO_LEVEL_SET")=py::int_(RSSGT_ATTR_BBIN_AUTO_LEVEL_SET);
    m.attr("ATTR_BBIN_OVERLOAD_RESET")=py::int_(RSSGT_ATTR_BBIN_OVERLOAD_RESET);
    m.attr("ATTR_BBIN_OVERLOAD_ENABLED")=py::int_(RSSGT_ATTR_BBIN_OVERLOAD_ENABLED);
    m.attr("ATTR_BBIN_OVERLOAD_HOLD_ENABLED")=py::int_(RSSGT_ATTR_BBIN_OVERLOAD_HOLD_ENABLED);
    m.attr("ATTR_BBIN_RMS_POWER")=py::int_(RSSGT_ATTR_BBIN_RMS_POWER);
    m.attr("ATTR_BBIN_CURRENT_SAMPLE_RATE")=py::int_(RSSGT_ATTR_BBIN_CURRENT_SAMPLE_RATE);
    m.attr("ATTR_BBIN_PATH_GAIN")=py::int_(RSSGT_ATTR_BBIN_PATH_GAIN);
    m.attr("ATTR_BBIN_FREQUENCY_OFFSET")=py::int_(RSSGT_ATTR_BBIN_FREQUENCY_OFFSET);
    m.attr("ATTR_BBIN_EXTERNALLY_CONNECTED_ID")=py::int_(RSSGT_ATTR_BBIN_EXTERNALLY_CONNECTED_ID);
    m.attr("ATTR_BBIN_SAMPLE_RATE_SOURCE")=py::int_(RSSGT_ATTR_BBIN_SAMPLE_RATE_SOURCE);
    m.attr("ATTR_BBIN_OUTPUT_DELAY")=py::int_(RSSGT_ATTR_BBIN_OUTPUT_DELAY);
    m.attr("ATTR_BBIN_IMPAIRMENTS_GAIN_IMBALANCE")=py::int_(RSSGT_ATTR_BBIN_IMPAIRMENTS_GAIN_IMBALANCE);
    m.attr("ATTR_BBIN_IMPAIRMENTS_I_OFFSET")=py::int_(RSSGT_ATTR_BBIN_IMPAIRMENTS_I_OFFSET);
    m.attr("ATTR_BBIN_IMPAIRMENTS_Q_OFFSET")=py::int_(RSSGT_ATTR_BBIN_IMPAIRMENTS_Q_OFFSET);
    m.attr("ATTR_POWER_UNIT")=py::int_(RSSGT_ATTR_POWER_UNIT);
    m.attr("ATTR_POWER_FREQUENCY")=py::int_(RSSGT_ATTR_POWER_FREQUENCY);
    m.attr("ATTR_POWER_RECORDER_STATE")=py::int_(RSSGT_ATTR_POWER_RECORDER_STATE);
    m.attr("ATTR_POWER_OFFSET")=py::int_(RSSGT_ATTR_POWER_OFFSET);
    m.attr("ATTR_POWER_OFFSET_ENABLED")=py::int_(RSSGT_ATTR_POWER_OFFSET_ENABLED);
    m.attr("ATTR_POWER_SOURCE")=py::int_(RSSGT_ATTR_POWER_SOURCE);
    m.attr("ATTR_POWER_ZERO")=py::int_(RSSGT_ATTR_POWER_ZERO);
    m.attr("ATTR_POWER_CONTINUOUS")=py::int_(RSSGT_ATTR_POWER_CONTINUOUS);
    m.attr("ATTR_POWER_USE_SPARAMETERS")=py::int_(RSSGT_ATTR_POWER_USE_SPARAMETERS);
    m.attr("ATTR_POWER_DISPLAY_PERMANENT")=py::int_(RSSGT_ATTR_POWER_DISPLAY_PERMANENT);
    m.attr("ATTR_POWER_DISPLAY_PERMANENT_ENABLED")=py::int_(RSSGT_ATTR_POWER_DISPLAY_PERMANENT_ENABLED);
    m.attr("ATTR_POWER_FILTER_LENGTH")=py::int_(RSSGT_ATTR_POWER_FILTER_LENGTH);
    m.attr("ATTR_POWER_FILTER_MODE")=py::int_(RSSGT_ATTR_POWER_FILTER_MODE);
    m.attr("ATTR_POWER_FILTER_NS_RATIO")=py::int_(RSSGT_ATTR_POWER_FILTER_NS_RATIO);
    m.attr("ATTR_POWER_FILTER_NS_RATIO_TIMEOUT")=py::int_(RSSGT_ATTR_POWER_FILTER_NS_RATIO_TIMEOUT);
    m.attr("ATTR_POWER_FILTER_LENGTH_AUTO")=py::int_(RSSGT_ATTR_POWER_FILTER_LENGTH_AUTO);
    m.attr("ATTR_POWER_FILTER_SEARCH_ONCE")=py::int_(RSSGT_ATTR_POWER_FILTER_SEARCH_ONCE);
    m.attr("ATTR_POWER_SENSOR_DEVICE")=py::int_(RSSGT_ATTR_POWER_SENSOR_DEVICE);
    m.attr("ATTR_POWER_SENSOR_TYPE")=py::int_(RSSGT_ATTR_POWER_SENSOR_TYPE);
    m.attr("ATTR_POWER_READ_POWER")=py::int_(RSSGT_ATTR_POWER_READ_POWER);
    m.attr("ATTR_POWER_SENSOR_VERSION")=py::int_(RSSGT_ATTR_POWER_SENSOR_VERSION);
    m.attr("ATTR_POWER_SENSOR_SERIAL_NUMBER")=py::int_(RSSGT_ATTR_POWER_SENSOR_SERIAL_NUMBER);
    m.attr("ATTR_POWER_DEFAULT_APERTURE_TIME_ENABLED")=py::int_(RSSGT_ATTR_POWER_DEFAULT_APERTURE_TIME_ENABLED);
    m.attr("ATTR_POWER_APERTURE_TIME")=py::int_(RSSGT_ATTR_POWER_APERTURE_TIME);
    m.attr("ATTR_POWER_BASEBAND_ADD_MEASUREMENT")=py::int_(RSSGT_ATTR_POWER_BASEBAND_ADD_MEASUREMENT);
    m.attr("ATTR_POWER_BASEBAND_CHANGE_MEASUREMENT")=py::int_(RSSGT_ATTR_POWER_BASEBAND_CHANGE_MEASUREMENT);
    m.attr("ATTR_POWER_BASEBAND_DELETE_MEASUREMENT")=py::int_(RSSGT_ATTR_POWER_BASEBAND_DELETE_MEASUREMENT);
    m.attr("ATTR_POWER_BASEBAND_EXECUTE_MEASUREMENT")=py::int_(RSSGT_ATTR_POWER_BASEBAND_EXECUTE_MEASUREMENT);
    m.attr("ATTR_POWER_BASEBAND_ABORT")=py::int_(RSSGT_ATTR_POWER_BASEBAND_ABORT);
    m.attr("ATTR_PSER_STATE")=py::int_(RSSGT_ATTR_PSER_STATE);
    m.attr("ATTR_PSER_TARGET")=py::int_(RSSGT_ATTR_PSER_TARGET);
    m.attr("ATTR_PSER_TOL")=py::int_(RSSGT_ATTR_PSER_TOL);
    m.attr("ATTR_PSER_TEST")=py::int_(RSSGT_ATTR_PSER_TEST);
    m.attr("ATTR_PSER_TRACK")=py::int_(RSSGT_ATTR_PSER_TRACK);
    m.attr("ATTR_PSER_SENSOR")=py::int_(RSSGT_ATTR_PSER_SENSOR);
    m.attr("ATTR_PSER_APER")=py::int_(RSSGT_ATTR_PSER_APER);
    m.attr("ATTR_CLOCK_INPUT_SLOPE")=py::int_(RSSGT_ATTR_CLOCK_INPUT_SLOPE);
    m.attr("ATTR_CLOCK_MODE")=py::int_(RSSGT_ATTR_CLOCK_MODE);
    m.attr("ATTR_CLOCK_INPUT_FREQUENCY")=py::int_(RSSGT_ATTR_CLOCK_INPUT_FREQUENCY);
    m.attr("ATTR_RESTART")=py::int_(RSSGT_ATTR_RESTART);
    m.attr("ATTR_STANDBY")=py::int_(RSSGT_ATTR_STANDBY);
    m.attr("ATTR_UNLOCK")=py::int_(RSSGT_ATTR_UNLOCK);
    m.attr("ATTR_USER_PATH")=py::int_(RSSGT_ATTR_USER_PATH);
    m.attr("ATTR_ID_QUERY_RESPONSE")=py::int_(RSSGT_ATTR_ID_QUERY_RESPONSE);
    m.attr("ATTR_CALIBRATION_ALL")=py::int_(RSSGT_ATTR_CALIBRATION_ALL);
    m.attr("ATTR_CALIBRATION_FREQUENCY")=py::int_(RSSGT_ATTR_CALIBRATION_FREQUENCY);
    m.attr("ATTR_CALIBRATION_FREQUENCY_TEMPERATURE")=py::int_(RSSGT_ATTR_CALIBRATION_FREQUENCY_TEMPERATURE);
    m.attr("ATTR_CALIBRATION_IQ_MODULATOR_FULL")=py::int_(RSSGT_ATTR_CALIBRATION_IQ_MODULATOR_FULL);
    m.attr("ATTR_CALIBRATION_IQ_MODULATOR_LOCAL")=py::int_(RSSGT_ATTR_CALIBRATION_IQ_MODULATOR_LOCAL);
    m.attr("ATTR_CALIBRATION_IQ_MODULATOR_TEMPERATURE")=py::int_(RSSGT_ATTR_CALIBRATION_IQ_MODULATOR_TEMPERATURE);
    m.attr("ATTR_CALIBRATION_LEVEL")=py::int_(RSSGT_ATTR_CALIBRATION_LEVEL);
    m.attr("ATTR_CALIBRATION_LEVEL_TEMPERATURE")=py::int_(RSSGT_ATTR_CALIBRATION_LEVEL_TEMPERATURE);
    m.attr("ATTR_CALIBRATION_IQ_INPUT")=py::int_(RSSGT_ATTR_CALIBRATION_IQ_INPUT);
    m.attr("ATTR_TEST_ALL_START")=py::int_(RSSGT_ATTR_TEST_ALL_START);
    m.attr("ATTR_TEST_ALL_RESULT")=py::int_(RSSGT_ATTR_TEST_ALL_RESULT);
    m.attr("ATTR_TEST_KEYBOARD")=py::int_(RSSGT_ATTR_TEST_KEYBOARD);
    m.attr("ATTR_TEST_EXTERNAL_IQ_DEVICES")=py::int_(RSSGT_ATTR_TEST_EXTERNAL_IQ_DEVICES);
    m.attr("ATTR_TEST_BASEBAND_INPUT")=py::int_(RSSGT_ATTR_TEST_BASEBAND_INPUT);
    m.attr("ATTR_DIAGNOSTIC_TEST_POINTS")=py::int_(RSSGT_ATTR_DIAGNOSTIC_TEST_POINTS);
    m.attr("ATTR_MMEMORY_CHANGE_DIRECTORY")=py::int_(RSSGT_ATTR_MMEMORY_CHANGE_DIRECTORY);
    m.attr("ATTR_MMEMORY_DELETE")=py::int_(RSSGT_ATTR_MMEMORY_DELETE);
    m.attr("ATTR_MMEMORY_MAKE_DIRECTORY")=py::int_(RSSGT_ATTR_MMEMORY_MAKE_DIRECTORY);
    m.attr("ATTR_MMEMORY_REMOVE_DIRECTORY")=py::int_(RSSGT_ATTR_MMEMORY_REMOVE_DIRECTORY);
    m.attr("ATTR_SYSTEM_FACTORY_PRESET")=py::int_(RSSGT_ATTR_SYSTEM_FACTORY_PRESET);
    m.attr("ATTR_SYSTEM_ERROR")=py::int_(RSSGT_ATTR_SYSTEM_ERROR);
    m.attr("ATTR_SYSTEM_ERROR_QUEUE_ALL")=py::int_(RSSGT_ATTR_SYSTEM_ERROR_QUEUE_ALL);
    m.attr("ATTR_SYSTEM_ERROR_QUEUE_CODE_ALL")=py::int_(RSSGT_ATTR_SYSTEM_ERROR_QUEUE_CODE_ALL);
    m.attr("ATTR_SYSTEM_ERROR_QUEUE_CODE_NEXT")=py::int_(RSSGT_ATTR_SYSTEM_ERROR_QUEUE_CODE_NEXT);
    m.attr("ATTR_SYSTEM_ERROR_QUEUE_COUNT")=py::int_(RSSGT_ATTR_SYSTEM_ERROR_QUEUE_COUNT);
    m.attr("ATTR_SYSTEM_ERROR_QUEUE_NEXT")=py::int_(RSSGT_ATTR_SYSTEM_ERROR_QUEUE_NEXT);
    m.attr("ATTR_SYSTEM_ERROR_ALL")=py::int_(RSSGT_ATTR_SYSTEM_ERROR_ALL);
    m.attr("ATTR_SYSTEM_VERSION")=py::int_(RSSGT_ATTR_SYSTEM_VERSION);
    m.attr("ATTR_SYSTEM_PRESET")=py::int_(RSSGT_ATTR_SYSTEM_PRESET);
    m.attr("ATTR_SYSTEM_STARTUP_COMPLETE")=py::int_(RSSGT_ATTR_SYSTEM_STARTUP_COMPLETE);
    m.attr("ATTR_SYSTEM_USB_RESOURCE")=py::int_(RSSGT_ATTR_SYSTEM_USB_RESOURCE);
    m.attr("ATTR_SYSTEM_GPIB_RESOURCE")=py::int_(RSSGT_ATTR_SYSTEM_GPIB_RESOURCE);
    m.attr("ATTR_SYSTEM_GPIB_ADDRESS")=py::int_(RSSGT_ATTR_SYSTEM_GPIB_ADDRESS);
    m.attr("ATTR_SYSTEM_GPIB_LINE_TERMINATOR")=py::int_(RSSGT_ATTR_SYSTEM_GPIB_LINE_TERMINATOR);
    m.attr("ATTR_SYSTEM_SERIAL_RESOURCE")=py::int_(RSSGT_ATTR_SYSTEM_SERIAL_RESOURCE);
    m.attr("ATTR_SYSTEM_SERIAL_BAUD")=py::int_(RSSGT_ATTR_SYSTEM_SERIAL_BAUD);
    m.attr("ATTR_SYSTEM_SERIAL_PARITY")=py::int_(RSSGT_ATTR_SYSTEM_SERIAL_PARITY);
    m.attr("ATTR_SYSTEM_SERIAL_STOP_BITS")=py::int_(RSSGT_ATTR_SYSTEM_SERIAL_STOP_BITS);
    m.attr("ATTR_SYSTEM_HISLIP_RESOURCE")=py::int_(RSSGT_ATTR_SYSTEM_HISLIP_RESOURCE);
    m.attr("ATTR_SYSTEM_PCI_EXPRESS_RESOURCE")=py::int_(RSSGT_ATTR_SYSTEM_PCI_EXPRESS_RESOURCE);
    m.attr("ATTR_SYSTEM_SOCKET_RESOURCE")=py::int_(RSSGT_ATTR_SYSTEM_SOCKET_RESOURCE);
    m.attr("ATTR_SYSTEM_OPERATING_SYSTEM")=py::int_(RSSGT_ATTR_SYSTEM_OPERATING_SYSTEM);
    m.attr("ATTR_SYSTEM_UPTIME")=py::int_(RSSGT_ATTR_SYSTEM_UPTIME);
    m.attr("ATTR_SYSTEM_NETWORK_RESTART")=py::int_(RSSGT_ATTR_SYSTEM_NETWORK_RESTART);
    m.attr("ATTR_SYSTEM_NETWORK_STATUS")=py::int_(RSSGT_ATTR_SYSTEM_NETWORK_STATUS);
    m.attr("ATTR_SYSTEM_NETWORK_RESOURCE")=py::int_(RSSGT_ATTR_SYSTEM_NETWORK_RESOURCE);
    m.attr("ATTR_SYSTEM_NETWORK_MAC_ADDRESS")=py::int_(RSSGT_ATTR_SYSTEM_NETWORK_MAC_ADDRESS);
    m.attr("ATTR_SYSTEM_NETWORK_HOST_NAME")=py::int_(RSSGT_ATTR_SYSTEM_NETWORK_HOST_NAME);
    m.attr("ATTR_SYSTEM_NETWORK_IP_ADDRESS")=py::int_(RSSGT_ATTR_SYSTEM_NETWORK_IP_ADDRESS);
    m.attr("ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK")=py::int_(RSSGT_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK);
    m.attr("ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY")=py::int_(RSSGT_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY);
    m.attr("ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE")=py::int_(RSSGT_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE);
    m.attr("ATTR_SYSTEM_NETWORK_IP_ADDRESS_DNS")=py::int_(RSSGT_ATTR_SYSTEM_NETWORK_IP_ADDRESS_DNS);
    m.attr("ATTR_STATUS_PRESET")=py::int_(RSSGT_ATTR_STATUS_PRESET);
    m.attr("ATTR_UNIT_ANGLE")=py::int_(RSSGT_ATTR_UNIT_ANGLE);
    m.attr("ATTR_UNIT_POWER")=py::int_(RSSGT_ATTR_UNIT_POWER);
    m.attr("ATTR_CONNECTOR_OUTPUT")=py::int_(RSSGT_ATTR_CONNECTOR_OUTPUT);
    m.attr("ATTR_CONNECTOR_OPERATION_MODE")=py::int_(RSSGT_ATTR_CONNECTOR_OPERATION_MODE);
    m.attr("ATTR_CONNECTOR_THRESHOLD")=py::int_(RSSGT_ATTR_CONNECTOR_THRESHOLD);
    m.attr("ATTR_CONNECTOR_CLOCK_IMPEDANCE")=py::int_(RSSGT_ATTR_CONNECTOR_CLOCK_IMPEDANCE);
    m.attr("ATTR_CONNECTOR_CLOCK_SLOPE")=py::int_(RSSGT_ATTR_CONNECTOR_CLOCK_SLOPE);
    m.attr("ATTR_CONNECTOR_TRIGGER_IMPEDANCE")=py::int_(RSSGT_ATTR_CONNECTOR_TRIGGER_IMPEDANCE);
    m.attr("ATTR_CONNECTOR_TRIGGER_SLOPE")=py::int_(RSSGT_ATTR_CONNECTOR_TRIGGER_SLOPE);
    m.attr("ATTR_FAST_SPEED_RF_OUTPUT_FREQUENCY")=py::int_(RSSGT_ATTR_FAST_SPEED_RF_OUTPUT_FREQUENCY);
    m.attr("ATTR_FAST_SPEED_RF_OUTPUT_LEVEL")=py::int_(RSSGT_ATTR_FAST_SPEED_RF_OUTPUT_LEVEL);
    m.attr("ATTR_FORMAT_SEQUENCE_OF_BYTES")=py::int_(RSSGT_ATTR_FORMAT_SEQUENCE_OF_BYTES);
    m.attr("ATTR_FORMAT_STATUS_REGISTER")=py::int_(RSSGT_ATTR_FORMAT_STATUS_REGISTER);
    m.attr("ATTR_FORMAT_DATA")=py::int_(RSSGT_ATTR_FORMAT_DATA);
    m.attr("ATTR_TIME_ZONE")=py::int_(RSSGT_ATTR_TIME_ZONE);
    m.attr("ATTR_TIME_ZONE_CATALOG")=py::int_(RSSGT_ATTR_TIME_ZONE_CATALOG);
    m.attr("ATTR_INIT_SW_TRIGGER")=py::int_(RSSGT_ATTR_INIT_SW_TRIGGER);
    m.attr("ATTR_IQ_OUTPUT_ANALOG_MODE")=py::int_(RSSGT_ATTR_IQ_OUTPUT_ANALOG_MODE);
    m.attr("ATTR_IQ_OUTPUT_ANALOG_BIAS_COUPLING_STATE")=py::int_(RSSGT_ATTR_IQ_OUTPUT_ANALOG_BIAS_COUPLING_STATE);
    m.attr("ATTR_IQ_OUTPUT_ANALOG_BIAS_I")=py::int_(RSSGT_ATTR_IQ_OUTPUT_ANALOG_BIAS_I);
    m.attr("VAL_PULM_POLARITY_NORMAL")=py::int_(RSSGT_VAL_PULM_POLARITY_NORMAL);
    m.attr("VAL_PULM_POLARITY_INVERSE")=py::int_(RSSGT_VAL_PULM_POLARITY_INVERSE);
    m.attr("VAL_PULSE_EXTERNAL_TRIGGER_SLOPE_POSITIVE")=py::int_(RSSGT_VAL_PULSE_EXTERNAL_TRIGGER_SLOPE_POSITIVE);
    m.attr("VAL_PULSE_EXTERNAL_TRIGGER_SLOPE_NEGATIVE")=py::int_(RSSGT_VAL_PULSE_EXTERNAL_TRIGGER_SLOPE_NEGATIVE);
    m.attr("VAL_ROSC_SOURCE_INTERNAL")=py::int_(RSSGT_VAL_ROSC_SOURCE_INTERNAL);
    m.attr("VAL_ROSC_SOURCE_EXTERNAL")=py::int_(RSSGT_VAL_ROSC_SOURCE_EXTERNAL);
    m.attr("VAL_SMU_ROSC_EXTERNAL_FREQUENCY_5MHZ")=py::int_(RSSGT_VAL_SMU_ROSC_EXTERNAL_FREQUENCY_5MHZ);
    m.attr("VAL_SMU_ROSC_EXTERNAL_FREQUENCY_10MHZ")=py::int_(RSSGT_VAL_SMU_ROSC_EXTERNAL_FREQUENCY_10MHZ);
    m.attr("VAL_SMU_ROSC_EXTERNAL_FREQUENCY_13MHZ")=py::int_(RSSGT_VAL_SMU_ROSC_EXTERNAL_FREQUENCY_13MHZ);
    m.attr("VAL_CLOCK_SYNC_MODE_NONE")=py::int_(RSSGT_VAL_CLOCK_SYNC_MODE_NONE);
    m.attr("VAL_CLOCK_SYNC_MODE_MASTER")=py::int_(RSSGT_VAL_CLOCK_SYNC_MODE_MASTER);
    m.attr("VAL_CLOCK_SYNC_MODE_SLAVE")=py::int_(RSSGT_VAL_CLOCK_SYNC_MODE_SLAVE);
    m.attr("VAL_CLOCK_SYNC_MODE_DIIN")=py::int_(RSSGT_VAL_CLOCK_SYNC_MODE_DIIN);
    m.attr("VAL_TRIGGER_MODE_AUTO")=py::int_(RSSGT_VAL_TRIGGER_MODE_AUTO);
    m.attr("VAL_TRIGGER_MODE_RETRIGGER")=py::int_(RSSGT_VAL_TRIGGER_MODE_RETRIGGER);
    m.attr("VAL_TRIGGER_MODE_AAUTO")=py::int_(RSSGT_VAL_TRIGGER_MODE_AAUTO);
    m.attr("VAL_TRIGGER_MODE_ARETRIGGER")=py::int_(RSSGT_VAL_TRIGGER_MODE_ARETRIGGER);
    m.attr("VAL_TRIGGER_MODE_SINGLE")=py::int_(RSSGT_VAL_TRIGGER_MODE_SINGLE);
    m.attr("VAL_CLOCK_MODE_SAMP")=py::int_(RSSGT_VAL_CLOCK_MODE_SAMP);
    m.attr("VAL_CLOCK_MODE_MSAMP")=py::int_(RSSGT_VAL_CLOCK_MODE_MSAMP);
    m.attr("VAL_ARB_EXTENDED_TRIGGER_MODE_SAME")=py::int_(RSSGT_VAL_ARB_EXTENDED_TRIGGER_MODE_SAME);
    m.attr("VAL_ARB_EXTENDED_TRIGGER_MODE_NEXT")=py::int_(RSSGT_VAL_ARB_EXTENDED_TRIGGER_MODE_NEXT);
    m.attr("VAL_ARB_EXTENDED_TRIGGER_MODE_NSEAM")=py::int_(RSSGT_VAL_ARB_EXTENDED_TRIGGER_MODE_NSEAM);
    m.attr("VAL_ARB_EXTENDED_TRIGGER_MODE_SEQ")=py::int_(RSSGT_VAL_ARB_EXTENDED_TRIGGER_MODE_SEQ);
    m.attr("VAL_ARB_TRIGGER_UNIT_SAMPLE")=py::int_(RSSGT_VAL_ARB_TRIGGER_UNIT_SAMPLE);
    m.attr("VAL_ARB_TRIGGER_UNIT_SEQUENCE")=py::int_(RSSGT_VAL_ARB_TRIGGER_UNIT_SEQUENCE);
    m.attr("VAL_ARB_MARKER_MODE_UNCH")=py::int_(RSSGT_VAL_ARB_MARKER_MODE_UNCH);
    m.attr("VAL_ARB_MARKER_MODE_RESTART")=py::int_(RSSGT_VAL_ARB_MARKER_MODE_RESTART);
    m.attr("VAL_ARB_MARKER_MODE_PULSE")=py::int_(RSSGT_VAL_ARB_MARKER_MODE_PULSE);
    m.attr("VAL_ARB_MARKER_MODE_PATTERN")=py::int_(RSSGT_VAL_ARB_MARKER_MODE_PATTERN);
    m.attr("VAL_ARB_MARKER_MODE_RATIO")=py::int_(RSSGT_VAL_ARB_MARKER_MODE_RATIO);
    m.attr("VAL_ARB_LEVEL_MODE_UNCH")=py::int_(RSSGT_VAL_ARB_LEVEL_MODE_UNCH);
    m.attr("VAL_ARB_LEVEL_MODE_ERMS")=py::int_(RSSGT_VAL_ARB_LEVEL_MODE_ERMS);
    m.attr("VAL_ARB_SRESTART_DISABLED")=py::int_(RSSGT_VAL_ARB_SRESTART_DISABLED);
    m.attr("VAL_ARB_SRESTART_MRK1")=py::int_(RSSGT_VAL_ARB_SRESTART_MRK1);
    m.attr("VAL_ARB_SRESTART_MRK2")=py::int_(RSSGT_VAL_ARB_SRESTART_MRK2);
    m.attr("VAL_ARB_SRESTART_MRK3")=py::int_(RSSGT_VAL_ARB_SRESTART_MRK3);
    m.attr("VAL_ARB_SRESTART_MRK4")=py::int_(RSSGT_VAL_ARB_SRESTART_MRK4);
    m.attr("VAL_ARB_CLOCK_MODE_UNCH")=py::int_(RSSGT_VAL_ARB_CLOCK_MODE_UNCH);
    m.attr("VAL_ARB_CLOCK_MODE_HIGH")=py::int_(RSSGT_VAL_ARB_CLOCK_MODE_HIGH);
    m.attr("VAL_ARB_CLOCK_MODE_USER")=py::int_(RSSGT_VAL_ARB_CLOCK_MODE_USER);
    m.attr("VAL_ARB_MULTIC_MODE_EQU")=py::int_(RSSGT_VAL_ARB_MULTIC_MODE_EQU);
    m.attr("VAL_ARB_MULTIC_MODE_ARB")=py::int_(RSSGT_VAL_ARB_MULTIC_MODE_ARB);
    m.attr("VAL_ARB_SRC_CFACTOR_MODE_OFF")=py::int_(RSSGT_VAL_ARB_SRC_CFACTOR_MODE_OFF);
    m.attr("VAL_ARB_SRC_CFACTOR_MODE_MIN")=py::int_(RSSGT_VAL_ARB_SRC_CFACTOR_MODE_MIN);
    m.attr("VAL_ARB_SRC_CFACTOR_MODE_MAX")=py::int_(RSSGT_VAL_ARB_SRC_CFACTOR_MODE_MAX);
    m.attr("VAL_ARB_SRC_CALC_MODE_LONG")=py::int_(RSSGT_VAL_ARB_SRC_CALC_MODE_LONG);
    m.attr("VAL_ARB_SRC_CALC_MODE_SHRT")=py::int_(RSSGT_VAL_ARB_SRC_CALC_MODE_SHRT);
    m.attr("VAL_ARB_SRC_CALC_MODE_USER")=py::int_(RSSGT_VAL_ARB_SRC_CALC_MODE_USER);
    m.attr("VAL_ARB_SRC_CALC_MODE_LCM")=py::int_(RSSGT_VAL_ARB_SRC_CALC_MODE_LCM);
    m.attr("VAL_BBIN_MODE_ANALOG")=py::int_(RSSGT_VAL_BBIN_MODE_ANALOG);
    m.attr("VAL_BBIN_MODE_DIGITAL")=py::int_(RSSGT_VAL_BBIN_MODE_DIGITAL);
    m.attr("VAL_IMPEDANCE_G50")=py::int_(RSSGT_VAL_IMPEDANCE_G50);
    m.attr("VAL_IMPEDANCE_G1K")=py::int_(RSSGT_VAL_IMPEDANCE_G1K);
    m.attr("VAL_SLOPE_NEGATIVE")=py::int_(RSSGT_VAL_SLOPE_NEGATIVE);
    m.attr("VAL_SLOPE_POSITIVE")=py::int_(RSSGT_VAL_SLOPE_POSITIVE);
    m.attr("VAL_CLOCK_OUTPUT_MODE_SYMBOL")=py::int_(RSSGT_VAL_CLOCK_OUTPUT_MODE_SYMBOL);
    m.attr("VAL_CLOCK_OUTPUT_MODE_BIT")=py::int_(RSSGT_VAL_CLOCK_OUTPUT_MODE_BIT);
    m.attr("VAL_OPTIM_MODE_FAST")=py::int_(RSSGT_VAL_OPTIM_MODE_FAST);
    m.attr("VAL_OPTIM_MODE_QHIGH")=py::int_(RSSGT_VAL_OPTIM_MODE_QHIGH);
    m.attr("VAL_AWGN_MODE_ADD")=py::int_(RSSGT_VAL_AWGN_MODE_ADD);
    m.attr("VAL_AWGN_MODE_ONLY")=py::int_(RSSGT_VAL_AWGN_MODE_ONLY);
    m.attr("VAL_AWGN_MODE_CWI")=py::int_(RSSGT_VAL_AWGN_MODE_CWI);
    m.attr("VAL_AWGN_POWER_MODE_CN")=py::int_(RSSGT_VAL_AWGN_POWER_MODE_CN);
    m.attr("VAL_AWGN_POWER_MODE_EN")=py::int_(RSSGT_VAL_AWGN_POWER_MODE_EN);
    m.attr("VAL_AWGN_POWER_MODE_SN")=py::int_(RSSGT_VAL_AWGN_POWER_MODE_SN);
    m.attr("VAL_UNIT_ANGLE_DEG")=py::int_(RSSGT_VAL_UNIT_ANGLE_DEG);
    m.attr("VAL_UNIT_ANGLE_RAD")=py::int_(RSSGT_VAL_UNIT_ANGLE_RAD);
    m.attr("VAL_UNIT_POWER_V")=py::int_(RSSGT_VAL_UNIT_POWER_V);
    m.attr("VAL_UNIT_POWER_DBM")=py::int_(RSSGT_VAL_UNIT_POWER_DBM);
    m.attr("VAL_UNIT_POWER_DBUV")=py::int_(RSSGT_VAL_UNIT_POWER_DBUV);
    m.attr("VAL_SYSTEM_COMMUNICATE_IP_MODE_STATIC")=py::int_(RSSGT_VAL_SYSTEM_COMMUNICATE_IP_MODE_STATIC);
    m.attr("VAL_SYSTEM_COMMUNICATE_IP_MODE_AUTO")=py::int_(RSSGT_VAL_SYSTEM_COMMUNICATE_IP_MODE_AUTO);
    m.attr("VAL_ROSC_SBAN_WIDE")=py::int_(RSSGT_VAL_ROSC_SBAN_WIDE);
    m.attr("VAL_ROSC_SBAN_NARROW")=py::int_(RSSGT_VAL_ROSC_SBAN_NARROW);
    m.attr("VAL_OUTPUT_AMODE_AUTO")=py::int_(RSSGT_VAL_OUTPUT_AMODE_AUTO);
    m.attr("VAL_OUTPUT_AMODE_FIXED")=py::int_(RSSGT_VAL_OUTPUT_AMODE_FIXED);
    m.attr("VAL_OUTPUT_AMODE_AUTOPASS")=py::int_(RSSGT_VAL_OUTPUT_AMODE_AUTOPASS);
    m.attr("VAL_OUTPUT_STATE_PON_OFF")=py::int_(RSSGT_VAL_OUTPUT_STATE_PON_OFF);
    m.attr("VAL_OUTPUT_STATE_PON_UNCH")=py::int_(RSSGT_VAL_OUTPUT_STATE_PON_UNCH);
    m.attr("VAL_POWER_ALC_STATE_TAB_ON")=py::int_(RSSGT_VAL_POWER_ALC_STATE_TAB_ON);
    m.attr("VAL_POWER_ALC_STATE_ON")=py::int_(RSSGT_VAL_POWER_ALC_STATE_ON);
    m.attr("VAL_POWER_ALC_STATE_OFFT")=py::int_(RSSGT_VAL_POWER_ALC_STATE_OFFT);
    m.attr("VAL_PULM_POLARITY_INVERTED")=py::int_(RSSGT_VAL_PULM_POLARITY_INVERTED);
    m.attr("VAL_PULM_SOURCE_INTERNAL")=py::int_(RSSGT_VAL_PULM_SOURCE_INTERNAL);
    m.attr("VAL_PULM_SOURCE_EXTERNAL")=py::int_(RSSGT_VAL_PULM_SOURCE_EXTERNAL);
    m.attr("VAL_INPUT_IMPEDANCE_G50")=py::int_(RSSGT_VAL_INPUT_IMPEDANCE_G50);
    m.attr("VAL_INPUT_IMPEDANCE_G10K")=py::int_(RSSGT_VAL_INPUT_IMPEDANCE_G10K);
    m.attr("VAL_PULM_TRIGGER_MODE_AUTO")=py::int_(RSSGT_VAL_PULM_TRIGGER_MODE_AUTO);
    m.attr("VAL_PULM_TRIGGER_MODE_EXTERNAL")=py::int_(RSSGT_VAL_PULM_TRIGGER_MODE_EXTERNAL);
    m.attr("VAL_PULM_TRIGGER_MODE_EGATE")=py::int_(RSSGT_VAL_PULM_TRIGGER_MODE_EGATE);
    m.attr("VAL_TRIGGER_SOURCE_INTERNAL")=py::int_(RSSGT_VAL_TRIGGER_SOURCE_INTERNAL);
    m.attr("VAL_TRIGGER_SOURCE_EXTERNAL")=py::int_(RSSGT_VAL_TRIGGER_SOURCE_EXTERNAL);
    m.attr("VAL_CLOCK_SOURCE_INTERNAL")=py::int_(RSSGT_VAL_CLOCK_SOURCE_INTERNAL);
    m.attr("VAL_CLOCK_SOURCE_EXTERNAL")=py::int_(RSSGT_VAL_CLOCK_SOURCE_EXTERNAL);
    m.attr("VAL_PULSE_MODE_SINGLE")=py::int_(RSSGT_VAL_PULSE_MODE_SINGLE);
    m.attr("VAL_PULSE_MODE_DOUBLE")=py::int_(RSSGT_VAL_PULSE_MODE_DOUBLE);
    m.attr("VAL_ALC_DETECTOR_AUTO")=py::int_(RSSGT_VAL_ALC_DETECTOR_AUTO);
    m.attr("VAL_ALC_DETECTOR_LOW")=py::int_(RSSGT_VAL_ALC_DETECTOR_LOW);
    m.attr("VAL_ALC_DETECTOR_MEDIUM")=py::int_(RSSGT_VAL_ALC_DETECTOR_MEDIUM);
    m.attr("VAL_ALC_DETECTOR_HIGH")=py::int_(RSSGT_VAL_ALC_DETECTOR_HIGH);
    m.attr("VAL_RF_OFF_MODE_UNCH")=py::int_(RSSGT_VAL_RF_OFF_MODE_UNCH);
    m.attr("VAL_RF_OFF_MODE_FULL")=py::int_(RSSGT_VAL_RF_OFF_MODE_FULL);
    m.attr("VAL_RF_LEVEL_MODE_NORMAL")=py::int_(RSSGT_VAL_RF_LEVEL_MODE_NORMAL);
    m.attr("VAL_RF_LEVEL_MODE_LOWNOISE")=py::int_(RSSGT_VAL_RF_LEVEL_MODE_LOWNOISE);
    m.attr("VAL_RF_LEVEL_MODE_LOWDIST")=py::int_(RSSGT_VAL_RF_LEVEL_MODE_LOWDIST);
    m.attr("VAL_IQ_GAIN_DBM3")=py::int_(RSSGT_VAL_IQ_GAIN_DBM3);
    m.attr("VAL_IQ_GAIN_DBM4")=py::int_(RSSGT_VAL_IQ_GAIN_DBM4);
    m.attr("VAL_IQ_GAIN_DBM2")=py::int_(RSSGT_VAL_IQ_GAIN_DBM2);
    m.attr("VAL_IQ_GAIN_DB0")=py::int_(RSSGT_VAL_IQ_GAIN_DB0);
    m.attr("VAL_IQ_GAIN_DB2")=py::int_(RSSGT_VAL_IQ_GAIN_DB2);
    m.attr("VAL_IQ_GAIN_DB3")=py::int_(RSSGT_VAL_IQ_GAIN_DB3);
    m.attr("VAL_IQ_GAIN_DB4")=py::int_(RSSGT_VAL_IQ_GAIN_DB4);
    m.attr("VAL_IQ_GAIN_DB6")=py::int_(RSSGT_VAL_IQ_GAIN_DB6);
    m.attr("VAL_IQ_GAIN_DB8")=py::int_(RSSGT_VAL_IQ_GAIN_DB8);
    m.attr("VAL_ROSC_FREQUENCY_10MHZ")=py::int_(RSSGT_VAL_ROSC_FREQUENCY_10MHZ);
    m.attr("VAL_ROSC_FREQUENCY_100MHZ")=py::int_(RSSGT_VAL_ROSC_FREQUENCY_100MHZ);
    m.attr("VAL_ROSC_FREQUENCY_1000MHZ")=py::int_(RSSGT_VAL_ROSC_FREQUENCY_1000MHZ);
    m.attr("VAL_ROSC_FREQUENCY_13MHZ")=py::int_(RSSGT_VAL_ROSC_FREQUENCY_13MHZ);
    m.attr("VAL_RF_LEVEL_CHARACTERISTIC_AUTO")=py::int_(RSSGT_VAL_RF_LEVEL_CHARACTERISTIC_AUTO);
    m.attr("VAL_RF_LEVEL_CHARACTERISTIC_UNIN")=py::int_(RSSGT_VAL_RF_LEVEL_CHARACTERISTIC_UNIN);
    m.attr("VAL_RF_LEVEL_CHARACTERISTIC_MON")=py::int_(RSSGT_VAL_RF_LEVEL_CHARACTERISTIC_MON);
    m.attr("VAL_RF_LEVEL_CHARACTERISTIC_CVSW")=py::int_(RSSGT_VAL_RF_LEVEL_CHARACTERISTIC_CVSW);
    m.attr("VAL_RF_LEVEL_CHARACTERISTIC_USER")=py::int_(RSSGT_VAL_RF_LEVEL_CHARACTERISTIC_USER);
    m.attr("VAL_OPERATION_MODE_NORM")=py::int_(RSSGT_VAL_OPERATION_MODE_NORM);
    m.attr("VAL_OPERATION_MODE_BBBY")=py::int_(RSSGT_VAL_OPERATION_MODE_BBBY);
    m.attr("VAL_AWGN_DISP_MODE_RF")=py::int_(RSSGT_VAL_AWGN_DISP_MODE_RF);
    m.attr("VAL_AWGN_DISP_MODE_BB")=py::int_(RSSGT_VAL_AWGN_DISP_MODE_BB);
    m.attr("VAL_AWGN_REF_MODE_CARR")=py::int_(RSSGT_VAL_AWGN_REF_MODE_CARR);
    m.attr("VAL_AWGN_REF_MODE_NOIS")=py::int_(RSSGT_VAL_AWGN_REF_MODE_NOIS);
    m.attr("VAL_ARB_MCAR_POWER_REF_RMS")=py::int_(RSSGT_VAL_ARB_MCAR_POWER_REF_RMS);
    m.attr("VAL_ARB_MCAR_POWER_REF_PEAK")=py::int_(RSSGT_VAL_ARB_MCAR_POWER_REF_PEAK);
    m.attr("VAL_TRIGGER_DELAY_UNIT_SAMP")=py::int_(RSSGT_VAL_TRIGGER_DELAY_UNIT_SAMP);
    m.attr("VAL_TRIGGER_DELAY_UNIT_TIME")=py::int_(RSSGT_VAL_TRIGGER_DELAY_UNIT_TIME);
    m.attr("VAL_ARB_MULTI_MARKER_MODE_IGN")=py::int_(RSSGT_VAL_ARB_MULTI_MARKER_MODE_IGN);
    m.attr("VAL_ARB_MULTI_MARKER_MODE_TAKE")=py::int_(RSSGT_VAL_ARB_MULTI_MARKER_MODE_TAKE);
    m.attr("VAL_BBIN_SRATE_USER")=py::int_(RSSGT_VAL_BBIN_SRATE_USER);
    m.attr("VAL_BBIN_SRATE_DIN")=py::int_(RSSGT_VAL_BBIN_SRATE_DIN);
    m.attr("VAL_IQ_OUTPUT_DIGITAL_STEP_MODE_DEC")=py::int_(RSSGT_VAL_IQ_OUTPUT_DIGITAL_STEP_MODE_DEC);
    m.attr("VAL_IQ_OUTPUT_DIGITAL_STEP_MODE_USER")=py::int_(RSSGT_VAL_IQ_OUTPUT_DIGITAL_STEP_MODE_USER);
    m.attr("VAL_IQ_OUTPUT_SAMPLE_RATE_SOURCE_USER")=py::int_(RSSGT_VAL_IQ_OUTPUT_SAMPLE_RATE_SOURCE_USER);
    m.attr("VAL_IQ_OUTPUT_SAMPLE_RATE_SOURCE_DIN")=py::int_(RSSGT_VAL_IQ_OUTPUT_SAMPLE_RATE_SOURCE_DIN);
    m.attr("VAL_IQ_OUTPUT_SAMPLE_RATE_SOURCE_DOUT")=py::int_(RSSGT_VAL_IQ_OUTPUT_SAMPLE_RATE_SOURCE_DOUT);
    m.attr("VAL_CONNECTOR_OUTPUT_REF")=py::int_(RSSGT_VAL_CONNECTOR_OUTPUT_REF);
    m.attr("VAL_CONNECTOR_OUTPUT_LO")=py::int_(RSSGT_VAL_CONNECTOR_OUTPUT_LO);
    m.attr("VAL_CONNECTOR_OUTPUT_OFF")=py::int_(RSSGT_VAL_CONNECTOR_OUTPUT_OFF);
    m.attr("VAL_SYSTEM_EMODE_OFF")=py::int_(RSSGT_VAL_SYSTEM_EMODE_OFF);
    m.attr("VAL_SYSTEM_EMODE_EM1")=py::int_(RSSGT_VAL_SYSTEM_EMODE_EM1);
    m.attr("VAL_SYSTEM_EMODE_EM2")=py::int_(RSSGT_VAL_SYSTEM_EMODE_EM2);
    m.attr("VAL_FORMAT_BORDER_NORM")=py::int_(RSSGT_VAL_FORMAT_BORDER_NORM);
    m.attr("VAL_FORMAT_BORDER_SWAP")=py::int_(RSSGT_VAL_FORMAT_BORDER_SWAP);
    m.attr("VAL_FORMAT_SREG_ASCII")=py::int_(RSSGT_VAL_FORMAT_SREG_ASCII);
    m.attr("VAL_FORMAT_SREG_BIN")=py::int_(RSSGT_VAL_FORMAT_SREG_BIN);
    m.attr("VAL_FORMAT_SREG_HEX")=py::int_(RSSGT_VAL_FORMAT_SREG_HEX);
    m.attr("VAL_FORMAT_SREG_OCT")=py::int_(RSSGT_VAL_FORMAT_SREG_OCT);
    m.attr("VAL_FORMAT_DATA_ASCII")=py::int_(RSSGT_VAL_FORMAT_DATA_ASCII);
    m.attr("VAL_FORMAT_DATA_PACK")=py::int_(RSSGT_VAL_FORMAT_DATA_PACK);
    m.attr("VAL_SERIAL_PARITY_NONE")=py::int_(RSSGT_VAL_SERIAL_PARITY_NONE);
    m.attr("VAL_SERIAL_PARITY_ODD")=py::int_(RSSGT_VAL_SERIAL_PARITY_ODD);
    m.attr("VAL_SERIAL_PARITY_EVEN")=py::int_(RSSGT_VAL_SERIAL_PARITY_EVEN);
    m.attr("VAL_IQ_OUTPUT_LEVEL_ENTRY_PEP")=py::int_(RSSGT_VAL_IQ_OUTPUT_LEVEL_ENTRY_PEP);
    m.attr("VAL_IQ_OUTPUT_LEVEL_ENTRY_LEV")=py::int_(RSSGT_VAL_IQ_OUTPUT_LEVEL_ENTRY_LEV);
    m.attr("VAL_TEST_EXTERNAL_IQ_IN")=py::int_(RSSGT_VAL_TEST_EXTERNAL_IQ_IN);
    m.attr("VAL_TEST_EXTERNAL_IQ_OUT")=py::int_(RSSGT_VAL_TEST_EXTERNAL_IQ_OUT);
    m.attr("VAL_CONN_OPMODE_MKR1")=py::int_(RSSGT_VAL_CONN_OPMODE_MKR1);
    m.attr("VAL_CONN_OPMODE_MKR2")=py::int_(RSSGT_VAL_CONN_OPMODE_MKR2);
    m.attr("VAL_CONN_OPMODE_TRIG")=py::int_(RSSGT_VAL_CONN_OPMODE_TRIG);
    m.attr("VAL_CONN_OPMODE_CIN")=py::int_(RSSGT_VAL_CONN_OPMODE_CIN);
    m.attr("VAL_CONN_OPMODE_COUT")=py::int_(RSSGT_VAL_CONN_OPMODE_COUT);
    m.attr("VAL_CONN_OPMODE_SIN")=py::int_(RSSGT_VAL_CONN_OPMODE_SIN);
    m.attr("VAL_CONN_OPMODE_SOUT")=py::int_(RSSGT_VAL_CONN_OPMODE_SOUT);
    m.attr("VAL_CONN_OPMODE_NEXT")=py::int_(RSSGT_VAL_CONN_OPMODE_NEXT);
    m.attr("VAL_CONN_OPMODE_LOW")=py::int_(RSSGT_VAL_CONN_OPMODE_LOW);
    m.attr("VAL_CONN_OPMODE_MLAT")=py::int_(RSSGT_VAL_CONN_OPMODE_MLAT);
    m.attr("VAL_CONN_OPMODE_MARR")=py::int_(RSSGT_VAL_CONN_OPMODE_MARR);
    m.attr("VAL_CONN_OPMODE_HIGH")=py::int_(RSSGT_VAL_CONN_OPMODE_HIGH);
    m.attr("VAL_CONN_OPMODE_SVAL")=py::int_(RSSGT_VAL_CONN_OPMODE_SVAL);
    m.attr("VAL_CONN_OPMODE_SNV")=py::int_(RSSGT_VAL_CONN_OPMODE_SNV);
    m.attr("VAL_CONN_OPMODE_PVO")=py::int_(RSSGT_VAL_CONN_OPMODE_PVO);
    m.attr("VAL_CONN_OPMODE_PETR")=py::int_(RSSGT_VAL_CONN_OPMODE_PETR);
    m.attr("VAL_CONN_OPMODE_PEMS")=py::int_(RSSGT_VAL_CONN_OPMODE_PEMS);
    m.attr("VAL_CONN_OPMODE_TOUT")=py::int_(RSSGT_VAL_CONN_OPMODE_TOUT);
    m.attr("VAL_SYSTEM_INPUT_G1K")=py::int_(RSSGT_VAL_SYSTEM_INPUT_G1K);
    m.attr("VAL_SYSTEM_INPUT_G50")=py::int_(RSSGT_VAL_SYSTEM_INPUT_G50);
    m.attr("VAL_SYSTEM_INPUT_G10K")=py::int_(RSSGT_VAL_SYSTEM_INPUT_G10K);
    m.attr("VAL_ARB_APPEND_SEGMENT_NEXT")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_NEXT);
    m.attr("VAL_ARB_APPEND_SEGMENT_BLANK")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_BLANK);
    m.attr("VAL_ARB_APPEND_SEGMENT_ENDLESS")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_ENDLESS);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG0")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG0);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG1")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG1);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG2")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG2);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG3")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG3);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG4")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG4);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG5")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG5);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG6")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG6);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG7")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG7);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG8")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG8);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG9")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG9);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG10")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG10);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG11")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG11);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG12")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG12);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG13")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG13);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG14")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG14);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG15")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG15);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG16")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG16);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG17")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG17);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG18")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG18);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG19")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG19);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG20")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG20);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG21")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG21);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG22")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG22);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG23")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG23);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG24")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG24);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG25")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG25);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG26")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG26);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG27")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG27);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG28")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG28);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG29")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG29);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG30")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG30);
    m.attr("VAL_ARB_APPEND_SEGMENT_SEG31")=py::int_(RSSGT_VAL_ARB_APPEND_SEGMENT_SEG31);
    m.attr("VAL_IQ_SOURCE_ANALOG")=py::int_(RSSGT_VAL_IQ_SOURCE_ANALOG);
    m.attr("VAL_IQ_SOURCE_BASEBAND")=py::int_(RSSGT_VAL_IQ_SOURCE_BASEBAND);
    m.attr("VAL_FILE_FORMAT_TXT")=py::int_(RSSGT_VAL_FILE_FORMAT_TXT);
    m.attr("VAL_FILE_FORMAT_CSV")=py::int_(RSSGT_VAL_FILE_FORMAT_CSV);
    m.attr("VAL_COLUMN_SEPARATOR_TAB")=py::int_(RSSGT_VAL_COLUMN_SEPARATOR_TAB);
    m.attr("VAL_COLUMN_SEPARATOR_SEMICOLON")=py::int_(RSSGT_VAL_COLUMN_SEPARATOR_SEMICOLON);
    m.attr("VAL_COLUMN_SEPARATOR_COMMA")=py::int_(RSSGT_VAL_COLUMN_SEPARATOR_COMMA);
    m.attr("VAL_COLUMN_SEPARATOR_SPACE")=py::int_(RSSGT_VAL_COLUMN_SEPARATOR_SPACE);
    m.attr("VAL_DECIMAL_SEPARATOR_DOT")=py::int_(RSSGT_VAL_DECIMAL_SEPARATOR_DOT);
    m.attr("VAL_DECIMAL_SEPARATOR_COMMA")=py::int_(RSSGT_VAL_DECIMAL_SEPARATOR_COMMA);
    m.attr("VAL_IMPORT")=py::int_(RSSGT_VAL_IMPORT);
    m.attr("VAL_EXPORT")=py::int_(RSSGT_VAL_EXPORT);
    m.attr("VAL_CONN_IMPEDANCE_G50")=py::int_(RSSGT_VAL_CONN_IMPEDANCE_G50);
    m.attr("VAL_CONN_IMPEDANCE_G10K")=py::int_(RSSGT_VAL_CONN_IMPEDANCE_G10K);
    m.attr("VAL_DPD_LEVEL_REFERENCE_BDPD")=py::int_(RSSGT_VAL_DPD_LEVEL_REFERENCE_BDPD);
    m.attr("VAL_DPD_LEVEL_REFERENCE_ADPD")=py::int_(RSSGT_VAL_DPD_LEVEL_REFERENCE_ADPD);
    m.attr("VAL_DPD_LEVEL_REFERENCE_SDPD")=py::int_(RSSGT_VAL_DPD_LEVEL_REFERENCE_SDPD);
    m.attr("VAL_DPD_SHAPING_TABLE")=py::int_(RSSGT_VAL_DPD_SHAPING_TABLE);
    m.attr("VAL_DPD_SHAPING_POLYNOMIAL")=py::int_(RSSGT_VAL_DPD_SHAPING_POLYNOMIAL);
    m.attr("VAL_DPD_SHAPING_NORMALIZED")=py::int_(RSSGT_VAL_DPD_SHAPING_NORMALIZED);
    m.attr("VAL_DPD_INTERPOLATION_OFF")=py::int_(RSSGT_VAL_DPD_INTERPOLATION_OFF);
    m.attr("VAL_DPD_INTERPOLATION_LINEAR")=py::int_(RSSGT_VAL_DPD_INTERPOLATION_LINEAR);
    m.attr("VAL_DPD_INTERPOLATION_POWER")=py::int_(RSSGT_VAL_DPD_INTERPOLATION_POWER);
    m.attr("VAL_IQ_OUTPUT_ANALOG_TYPE_SINGLE")=py::int_(RSSGT_VAL_IQ_OUTPUT_ANALOG_TYPE_SINGLE);
    m.attr("VAL_IQ_OUTPUT_ANALOG_TYPE_DIFFERENTIAL")=py::int_(RSSGT_VAL_IQ_OUTPUT_ANALOG_TYPE_DIFFERENTIAL);
    m.attr("VAL_IQ_OUTPUT_ANALOG_MODE_FIXED")=py::int_(RSSGT_VAL_IQ_OUTPUT_ANALOG_MODE_FIXED);
    m.attr("VAL_IQ_OUTPUT_ANALOG_MODE_VARIABLE")=py::int_(RSSGT_VAL_IQ_OUTPUT_ANALOG_MODE_VARIABLE);
    m.attr("VAL_ENVELOPE_VOLTAGE_ADAPTATION_AUTO")=py::int_(RSSGT_VAL_ENVELOPE_VOLTAGE_ADAPTATION_AUTO);
    m.attr("VAL_ENVELOPE_VOLTAGE_ADAPTATION_POWER")=py::int_(RSSGT_VAL_ENVELOPE_VOLTAGE_ADAPTATION_POWER);
    m.attr("VAL_ENVELOPE_VOLTAGE_ADAPTATION_MANUAL")=py::int_(RSSGT_VAL_ENVELOPE_VOLTAGE_ADAPTATION_MANUAL);
    m.attr("VAL_ETRACK_INTERFACE_TYPE_USER")=py::int_(RSSGT_VAL_ETRACK_INTERFACE_TYPE_USER);
    m.attr("VAL_ETRACK_INTERFACE_TYPE_ET1V2")=py::int_(RSSGT_VAL_ETRACK_INTERFACE_TYPE_ET1V2);
    m.attr("VAL_ETRACK_INTERFACE_TYPE_ET1V5")=py::int_(RSSGT_VAL_ETRACK_INTERFACE_TYPE_ET1V5);
    m.attr("VAL_ETRACK_INTERFACE_TYPE_ET2V0")=py::int_(RSSGT_VAL_ETRACK_INTERFACE_TYPE_ET2V0);
    m.attr("VAL_ENVELOPE_VOLTAGE_REFERENCE_VCC")=py::int_(RSSGT_VAL_ENVELOPE_VOLTAGE_REFERENCE_VCC);
    m.attr("VAL_ENVELOPE_VOLTAGE_REFERENCE_VOUT")=py::int_(RSSGT_VAL_ENVELOPE_VOLTAGE_REFERENCE_VOUT);
    m.attr("VAL_ENVELOPE_TRACKING_TERMINATION_GROUND")=py::int_(RSSGT_VAL_ENVELOPE_TRACKING_TERMINATION_GROUND);
    m.attr("VAL_ENVELOPE_TRACKING_TERMINATION_WIRE")=py::int_(RSSGT_VAL_ENVELOPE_TRACKING_TERMINATION_WIRE);
    m.attr("VAL_ENVELOPE_SHAPING_OFF")=py::int_(RSSGT_VAL_ENVELOPE_SHAPING_OFF);
    m.attr("VAL_ENVELOPE_SHAPING_LINEAR_VOLTAGE")=py::int_(RSSGT_VAL_ENVELOPE_SHAPING_LINEAR_VOLTAGE);
    m.attr("VAL_ENVELOPE_SHAPING_LINEAR_POWER")=py::int_(RSSGT_VAL_ENVELOPE_SHAPING_LINEAR_POWER);
    m.attr("VAL_ENVELOPE_SHAPING_DETROUGHING")=py::int_(RSSGT_VAL_ENVELOPE_SHAPING_DETROUGHING);
    m.attr("VAL_ENVELOPE_SHAPING_FROM_TABLE")=py::int_(RSSGT_VAL_ENVELOPE_SHAPING_FROM_TABLE);
    m.attr("VAL_ENVELOPE_SHAPING_FROM_POLYNOMIAL")=py::int_(RSSGT_VAL_ENVELOPE_SHAPING_FROM_POLYNOMIAL);
    m.attr("VAL_ENVELOPE_DETROUGHING_FUNCTION_F1")=py::int_(RSSGT_VAL_ENVELOPE_DETROUGHING_FUNCTION_F1);
    m.attr("VAL_ENVELOPE_DETROUGHING_FUNCTION_F2")=py::int_(RSSGT_VAL_ENVELOPE_DETROUGHING_FUNCTION_F2);
    m.attr("VAL_ENVELOPE_DETROUGHING_FUNCTION_F3")=py::int_(RSSGT_VAL_ENVELOPE_DETROUGHING_FUNCTION_F3);
    m.attr("VAL_ENVELOPE_SHAPING_INTERPOLATION_OFF")=py::int_(RSSGT_VAL_ENVELOPE_SHAPING_INTERPOLATION_OFF);
    m.attr("VAL_ENVELOPE_SHAPING_INTERPOLATION_LINEAR_VOLTAGE")=py::int_(RSSGT_VAL_ENVELOPE_SHAPING_INTERPOLATION_LINEAR_VOLTAGE);
    m.attr("VAL_ENVELOPE_SHAPING_INTERPOLATION_LINEAR_POWER")=py::int_(RSSGT_VAL_ENVELOPE_SHAPING_INTERPOLATION_LINEAR_POWER);
    m.attr("VAL_ENVELOPE_SHAPING_SCALE_POWER")=py::int_(RSSGT_VAL_ENVELOPE_SHAPING_SCALE_POWER);
    m.attr("VAL_ENVELOPE_SHAPING_SCALE_VOLTAGE")=py::int_(RSSGT_VAL_ENVELOPE_SHAPING_SCALE_VOLTAGE);
    m.attr("VAL_TRIGGER_SOURCE_NEXT")=py::int_(RSSGT_VAL_TRIGGER_SOURCE_NEXT);
    m.attr("VAL_GPIB_LINE_TERM_STANDARD")=py::int_(RSSGT_VAL_GPIB_LINE_TERM_STANDARD);
    m.attr("VAL_GPIB_LINE_TERM_EOI")=py::int_(RSSGT_VAL_GPIB_LINE_TERM_EOI);
    m.attr("VAL_ARB_LEVEL_MODE_HIGHEST")=py::int_(RSSGT_VAL_ARB_LEVEL_MODE_HIGHEST);
    m.attr("VAL_DISPLAY_VIA_PEP")=py::int_(RSSGT_VAL_DISPLAY_VIA_PEP);
    m.attr("VAL_DISPLAY_VIA_LEVEL")=py::int_(RSSGT_VAL_DISPLAY_VIA_LEVEL);
    m.attr("VAL_SYSTEM_CONFIGURATION_STANDARD")=py::int_(RSSGT_VAL_SYSTEM_CONFIGURATION_STANDARD);
    m.attr("VAL_SYSTEM_CONFIGURATION_ARB_FOR_ET")=py::int_(RSSGT_VAL_SYSTEM_CONFIGURATION_ARB_FOR_ET);
    m.attr("VAL_SENSE_POWER_UNIT_DBM")=py::int_(RSSGT_VAL_SENSE_POWER_UNIT_DBM);
    m.attr("VAL_SENSE_POWER_UNIT_DBUV")=py::int_(RSSGT_VAL_SENSE_POWER_UNIT_DBUV);
    m.attr("VAL_SENSE_POWER_UNIT_WATT")=py::int_(RSSGT_VAL_SENSE_POWER_UNIT_WATT);
    m.attr("VAL_SENSE_POWER_SOURCE_RF")=py::int_(RSSGT_VAL_SENSE_POWER_SOURCE_RF);
    m.attr("VAL_SENSE_POWER_SOURCE_USER")=py::int_(RSSGT_VAL_SENSE_POWER_SOURCE_USER);
    m.attr("VAL_SENSE_POWER_DISPLAY_AVERAGE")=py::int_(RSSGT_VAL_SENSE_POWER_DISPLAY_AVERAGE);
    m.attr("VAL_SENSE_POWER_DISPLAY_PEAK")=py::int_(RSSGT_VAL_SENSE_POWER_DISPLAY_PEAK);
    m.attr("VAL_POWER_CONTROL_SENS1")=py::int_(RSSGT_VAL_POWER_CONTROL_SENS1);
    m.attr("VAL_POWER_CONTROL_SENS2")=py::int_(RSSGT_VAL_POWER_CONTROL_SENS2);
    m.attr("VAL_POWER_CONTROL_SENS3")=py::int_(RSSGT_VAL_POWER_CONTROL_SENS3);
    m.attr("VAL_POWER_CONTROL_SENS4")=py::int_(RSSGT_VAL_POWER_CONTROL_SENS4);
    m.attr("VAL_SENSE_POWER_FILTER_TYPE_AUTO")=py::int_(RSSGT_VAL_SENSE_POWER_FILTER_TYPE_AUTO);
    m.attr("VAL_SENSE_POWER_FILTER_TYPE_USER")=py::int_(RSSGT_VAL_SENSE_POWER_FILTER_TYPE_USER);
    m.attr("VAL_SENSE_POWER_FILTER_TYPE_NSR")=py::int_(RSSGT_VAL_SENSE_POWER_FILTER_TYPE_NSR);
    m.attr("VAL_POWER_BB_SOURCE_BBA")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_BBA);
    m.attr("VAL_POWER_BB_SOURCE_BBB")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_BBB);
    m.attr("VAL_POWER_BB_SOURCE_BBC")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_BBC);
    m.attr("VAL_POWER_BB_SOURCE_BBD")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_BBD);
    m.attr("VAL_POWER_BB_SOURCE_BBINA")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_BBINA);
    m.attr("VAL_POWER_BB_SOURCE_BBINB")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_BBINB);
    m.attr("VAL_POWER_BB_SOURCE_FADINPA")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_FADINPA);
    m.attr("VAL_POWER_BB_SOURCE_FADINPB")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_FADINPB);
    m.attr("VAL_POWER_BB_SOURCE_FADINPC")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_FADINPC);
    m.attr("VAL_POWER_BB_SOURCE_FADINPD")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_FADINPD);
    m.attr("VAL_POWER_BB_SOURCE_FADOUTA")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_FADOUTA);
    m.attr("VAL_POWER_BB_SOURCE_FADOUTB")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_FADOUTB);
    m.attr("VAL_POWER_BB_SOURCE_FADOUTC")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_FADOUTC);
    m.attr("VAL_POWER_BB_SOURCE_FADOUTD")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_FADOUTD);
    m.attr("VAL_POWER_BB_SOURCE_AWGNA")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_AWGNA);
    m.attr("VAL_POWER_BB_SOURCE_AWGNB")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_AWGNB);
    m.attr("VAL_POWER_BB_SOURCE_AWGNC")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_AWGNC);
    m.attr("VAL_POWER_BB_SOURCE_AWGND")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_AWGND);
    m.attr("VAL_POWER_BB_SOURCE_STREAMA")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_STREAMA);
    m.attr("VAL_POWER_BB_SOURCE_STREAMB")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_STREAMB);
    m.attr("VAL_POWER_BB_SOURCE_STREAMC")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_STREAMC);
    m.attr("VAL_POWER_BB_SOURCE_STREAMD")=py::int_(RSSGT_VAL_POWER_BB_SOURCE_STREAMD);
    m.attr("VAL_POWER_BB_ACQ_NOM")=py::int_(RSSGT_VAL_POWER_BB_ACQ_NOM);
    m.attr("VAL_POWER_BB_ACQ_CONT")=py::int_(RSSGT_VAL_POWER_BB_ACQ_CONT);
    m.attr("VAL_POWER_BB_ACQ_GAT")=py::int_(RSSGT_VAL_POWER_BB_ACQ_GAT);
    m.attr("VAL_POWER_BB_ACQ_MGAT")=py::int_(RSSGT_VAL_POWER_BB_ACQ_MGAT);
    m.attr("VAL_POWER_BB_GATE_SOURCE_NONE")=py::int_(RSSGT_VAL_POWER_BB_GATE_SOURCE_NONE);
    m.attr("VAL_POWER_BB_GATE_SOURCE_MARK1")=py::int_(RSSGT_VAL_POWER_BB_GATE_SOURCE_MARK1);
    m.attr("VAL_POWER_BB_GATE_SOURCE_MARK2")=py::int_(RSSGT_VAL_POWER_BB_GATE_SOURCE_MARK2);
    m.attr("VAL_POWER_BB_GATE_SOURCE_MARK3")=py::int_(RSSGT_VAL_POWER_BB_GATE_SOURCE_MARK3);
    m.attr("VAL_POWER_BB_GATE_SOURCE_MGAT")=py::int_(RSSGT_VAL_POWER_BB_GATE_SOURCE_MGAT);
    m.attr("VAL_POWER_BASEBAND_OUTPUT_RFA")=py::int_(RSSGT_VAL_POWER_BASEBAND_OUTPUT_RFA);
    m.attr("VAL_POWER_BASEBAND_OUTPUT_RFB")=py::int_(RSSGT_VAL_POWER_BASEBAND_OUTPUT_RFB);
    m.attr("VAL_POWER_BASEBAND_OUTPUT_IQOUT1")=py::int_(RSSGT_VAL_POWER_BASEBAND_OUTPUT_IQOUT1);
    m.attr("VAL_POWER_BASEBAND_OUTPUT_IQOUT2")=py::int_(RSSGT_VAL_POWER_BASEBAND_OUTPUT_IQOUT2);
    m.attr("VAL_POWER_BASEBAND_OUTPUT_BBMM1")=py::int_(RSSGT_VAL_POWER_BASEBAND_OUTPUT_BBMM1);
    m.attr("VAL_POWER_BASEBAND_OUTPUT_BBMM2")=py::int_(RSSGT_VAL_POWER_BASEBAND_OUTPUT_BBMM2);
    m.attr("VAL_POWER_BASEBAND_RMODE_SINGLE")=py::int_(RSSGT_VAL_POWER_BASEBAND_RMODE_SINGLE);
    m.attr("VAL_POWER_BASEBAND_RMODE_AUTO")=py::int_(RSSGT_VAL_POWER_BASEBAND_RMODE_AUTO);
    m.attr("VAL_POWER_CONTROL_SENSUNDEF")=py::int_(RSSGT_VAL_POWER_CONTROL_SENSUNDEF);
    m.attr("VAL_DISTORTION_AM_AM")=py::int_(RSSGT_VAL_DISTORTION_AM_AM);
    m.attr("VAL_DISTORTION_AM_PM")=py::int_(RSSGT_VAL_DISTORTION_AM_PM);
    m.attr("ARB_APPEND_SEGMENT_NEXT")=py::int_(RSSGT_ARB_APPEND_SEGMENT_NEXT);
    m.attr("ARB_APPEND_SEGMENT_BLANK")=py::int_(RSSGT_ARB_APPEND_SEGMENT_BLANK);
    m.attr("ARB_APPEND_SEGMENT_ENDLESS")=py::int_(RSSGT_ARB_APPEND_SEGMENT_ENDLESS);
    m.attr("ARB_APPEND_SEGMENT_SEG0")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG0);
    m.attr("ARB_APPEND_SEGMENT_SEG1")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG1);
    m.attr("ARB_APPEND_SEGMENT_SEG2")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG2);
    m.attr("ARB_APPEND_SEGMENT_SEG3")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG3);
    m.attr("ARB_APPEND_SEGMENT_SEG4")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG4);
    m.attr("ARB_APPEND_SEGMENT_SEG5")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG5);
    m.attr("ARB_APPEND_SEGMENT_SEG6")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG6);
    m.attr("ARB_APPEND_SEGMENT_SEG7")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG7);
    m.attr("ARB_APPEND_SEGMENT_SEG8")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG8);
    m.attr("ARB_APPEND_SEGMENT_SEG9")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG9);
    m.attr("ARB_APPEND_SEGMENT_SEG10")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG10);
    m.attr("ARB_APPEND_SEGMENT_SEG11")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG11);
    m.attr("ARB_APPEND_SEGMENT_SEG12")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG12);
    m.attr("ARB_APPEND_SEGMENT_SEG13")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG13);
    m.attr("ARB_APPEND_SEGMENT_SEG14")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG14);
    m.attr("ARB_APPEND_SEGMENT_SEG15")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG15);
    m.attr("ARB_APPEND_SEGMENT_SEG16")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG16);
    m.attr("ARB_APPEND_SEGMENT_SEG17")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG17);
    m.attr("ARB_APPEND_SEGMENT_SEG18")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG18);
    m.attr("ARB_APPEND_SEGMENT_SEG19")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG19);
    m.attr("ARB_APPEND_SEGMENT_SEG20")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG20);
    m.attr("ARB_APPEND_SEGMENT_SEG21")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG21);
    m.attr("ARB_APPEND_SEGMENT_SEG22")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG22);
    m.attr("ARB_APPEND_SEGMENT_SEG23")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG23);
    m.attr("ARB_APPEND_SEGMENT_SEG24")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG24);
    m.attr("ARB_APPEND_SEGMENT_SEG25")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG25);
    m.attr("ARB_APPEND_SEGMENT_SEG26")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG26);
    m.attr("ARB_APPEND_SEGMENT_SEG27")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG27);
    m.attr("ARB_APPEND_SEGMENT_SEG28")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG28);
    m.attr("ARB_APPEND_SEGMENT_SEG29")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG29);
    m.attr("ARB_APPEND_SEGMENT_SEG30")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG30);
    m.attr("ARB_APPEND_SEGMENT_SEG31")=py::int_(RSSGT_ARB_APPEND_SEGMENT_SEG31);
    m.attr("REGISTER_OPERATION")=py::int_(RSSGT_REGISTER_OPERATION);
    m.attr("REGISTER_QUESTIONABLE")=py::int_(RSSGT_REGISTER_QUESTIONABLE);
    m.attr("REGISTER_ENABLE")=py::int_(RSSGT_REGISTER_ENABLE);
    m.attr("REGISTER_NTR")=py::int_(RSSGT_REGISTER_NTR);
    m.attr("REGISTER_PTR")=py::int_(RSSGT_REGISTER_PTR);
    m.attr("REGISTER_COND")=py::int_(RSSGT_REGISTER_COND);
    m.attr("REGISTER_EVENT")=py::int_(RSSGT_REGISTER_EVENT);
    m.attr("WARN_MEASURE_UNCALIBRATED")=py::int_(RSSGT_WARN_MEASURE_UNCALIBRATED);
    m.attr("WARN_OVER_RANGE")=py::int_(RSSGT_WARN_OVER_RANGE);
    m.attr("ERROR_INCORRECT_STATE")=py::int_(RSSGT_ERROR_INCORRECT_STATE);
    m.attr("ERROR_INCORRECT_RESPONSE")=py::int_(RSSGT_ERROR_INCORRECT_RESPONSE);
    m.attr("ERROR_MAX_TIME_EXCEEDED")=py::int_(RSSGT_ERROR_MAX_TIME_EXCEEDED);
    m.attr("WARNMSG_MEASURE_UNCALIBRATED")=std::string(RSSGT_WARNMSG_MEASURE_UNCALIBRATED);
    m.attr("WARNMSG_OVER_RANGE")=std::string(RSSGT_WARNMSG_OVER_RANGE);
    m.attr("ERRMSG_INCORRECT_STATE")=std::string(RSSGT_ERRMSG_INCORRECT_STATE);
    m.attr("ERRMSG_INCORRECT_RESPONSE")=std::string(RSSGT_ERRMSG_INCORRECT_RESPONSE);
    m.attr("ERRMSG_MAX_TIME_EXCEEDED")=std::string(RSSGT_ERRMSG_MAX_TIME_EXCEEDED);
    m.attr("WARNING_SMALL_BUFFER")=py::int_(RSSGT_WARNING_SMALL_BUFFER);
    m.attr("VI_ERROR_INSTR_INTERPRETING_RESPONSE")=py::int_(VI_ERROR_INSTR_INTERPRETING_RESPONSE);
    m.attr("VI_ERROR_INSTR_OFFSET")=py::int_(VI_ERROR_INSTR_OFFSET);
    m.attr("VI_WARNING_INSTR_OFFSET")=py::int_(VI_WARNING_INSTR_OFFSET);
    m.attr("VI_ERROR_INSTR_FILE_OPEN")=py::int_(VI_ERROR_INSTR_FILE_OPEN);
    m.attr("VI_ERROR_INSTR_FILE_WRITE")=py::int_(VI_ERROR_INSTR_FILE_WRITE);
    m.attr("VI_ERROR_INSTR_INTERPRETING_RESPONSE")=py::int_(VI_ERROR_INSTR_INTERPRETING_RESPONSE);
    m.attr("VI_ERROR_INSTR_PARAMETER8")=py::int_(VI_ERROR_INSTR_PARAMETER8);
    m.attr("VI_ERROR_INSTR_PARAMETER9")=py::int_(VI_ERROR_INSTR_PARAMETER9);
    m.attr("VI_ERROR_INSTR_PARAMETER10")=py::int_(VI_ERROR_INSTR_PARAMETER10);
    m.attr("VI_ERROR_INSTR_PARAMETER11")=py::int_(VI_ERROR_INSTR_PARAMETER11);
    m.attr("VI_ERROR_INSTR_PARAMETER12")=py::int_(VI_ERROR_INSTR_PARAMETER12);
    m.attr("VI_ERROR_INSTR_PARAMETER13")=py::int_(VI_ERROR_INSTR_PARAMETER13);
    m.attr("VI_ERROR_INSTR_PARAMETER14")=py::int_(VI_ERROR_INSTR_PARAMETER14);
    m.attr("VI_ERROR_INSTR_PARAMETER15")=py::int_(VI_ERROR_INSTR_PARAMETER15);
    m.attr("ERROR_INSTRUMENT_ERROR")=py::int_(RSSGT_ERROR_INSTRUMENT_ERROR);
    m.attr("ERROR_INVALID_CONFIGURATION")=py::int_(RSSGT_ERROR_INVALID_CONFIGURATION);
    m.attr("ERROR_INSTRUMENT_OPTION")=py::int_(RSSGT_ERROR_INSTRUMENT_OPTION);
    m.attr("ERROR_INSTRUMENT_NSUP_MODEL")=py::int_(RSSGT_ERROR_INSTRUMENT_NSUP_MODEL);
    m.attr("ERROR_SETTINGS_CONFLICT")=py::int_(RSSGT_ERROR_SETTINGS_CONFLICT);
    m.attr("ERROR_CALIBRATION_FAILED")=py::int_(RSSGT_ERROR_CALIBRATION_FAILED);
    m.attr("ERROR_INSTRUMENT_DATA_NOT_AVAILABLE")=py::int_(RSSGT_ERROR_INSTRUMENT_DATA_NOT_AVAILABLE);
    m.attr("RSSGS_WARNING_SMALL_BUFFER")=py::int_(RSSGS_WARNING_SMALL_BUFFER);
// GeneratedDefinesEnd

}